Welcome to Readiris™ Help...

  • Use on-line help to learn more about Readiris.

  • Quickly find answers to questions.

  • Connect to the I.R.I.S. web site for latest tips and product updates.

©2005 Copyright I.R.I.S. All rights reserved


How the OCR Process Works

  • The document is read by your scanner. At this point, the scanned image is no more than a meaningless cloud of intense points (“ pixels ”) on a lighter background.

  • The OCR software extracts text information from the black-and-white pixels: it recognizes the shapes and assigns characters.

Steps

  • The scanner acts as the “eye” of your computer and sends it the image in a digitized form.

  • Intelligent binarization routines convert color and greyscale images into black-and-white images.

  • Line segmentation consists of slicing a page of text into its different lines.

This step also analyses lineskew, interline spacing and drop letters, and separates touching lines.

  • The word segmentation isolate one word from another.

  • The character segmentation separates the various letters of a word.

If the characters have the same width (fixed pitch), this step is easy.

The problem gets more interesting when the width of the letters depends on their shape (proportional pitch), when kerning occurs, when dot matrix fonts are used and when the characters are broken.

  • The character recognition extracts characteristics out of each isolated shape and assigns a symbol.

The three most important stages are the autolearning phase, topological analysis and the optional interactive phase.

During the recognition, linguistic knowledge is used to validate correct solutions and flag suspicious ones.

Business Card Reading (“BCR”)

Extra steps are undertaken for business cards as the recognized data gets assigned to specific database fields (Readiris Corporate).

Intelligent Character Recognition (“ICR”)

Don’t confuse OCR with ICR! ICR handles the recognition of handprinted characters and requires specialized recognition techniques!


Character Isolation

  • Readiris copes beautifully with touching characters (“ligatures”) and kerning.

  • For dot matrix fonts, highly specific segmentation techniques are used.

  • Recognition of any font is possible if the system manages to isolate a sufficient number of characters. Readiris does not read extremely stylized, “script”-like fonts, where character segmentation is impossible.


Character Size

  • Readiris reads fonts with a size range of 6 to 72 points (1” high).

6 pt

72 pt

  • Readiris copes with drop letters.

Tip: select a resolution higher than 300 dpi to read small print (smaller than 10 point).


Printing Quality

  • Readiris reads virtually any printing quality: typeset, typewritten, laser printed, inkjet printed, letter quality dot matrix printed texts and draft dot matrix printing.

Draft dot matrix printed texts - where characters are composed of clouds of isolated dots - require highly specific segmentation and recognition techniques.

Tip: Readiris can detect the correct font type for you!

  • Cursive, continuous handwritten text is excluded but handprinting is supported.

With handprinting, the “block letters” are separated and the recognition software has an easier job to isolate the individual characters.

(Waliciewskcie)

I.R.I.S.’ handprinting recognition technology is based on more than one million writing samples!

  • Only laserprinted and inkjet printed bar codes have sufficient quality. Exclude matrix printed bar codes: they do not produce sufficient contrast and their resolution is mostly limited to 60 dpi!


Character Sets

  • Readiris recognizes all American and European character sets, including the Baltic, Central-European, Greek and Cyrillic (“Russian”) alphabets.

  • Optionally, you can read Japanese, Simplified Chinese, Traditional Chinese and Korean.

  • Optionally, you can read Hebrew documents.

  • The list of recognized characters varies according to the selected document language.

  • When you select Cyrillic-English, Greek-English, Hebrew or an Asian language, a mixed character set is used. Readiris copes beautifully with “Western” words (proper names etc.) as occur in Cyrillic, Greek, Hebrew and Asian documents.

  • Enabling a secondary language is mandatory to combine other languages (Readiris Corporate).

  • Readiris can limit recognition to a numeric character set to recognize tables of figures which contain no text.

  • Readiris can be trained on any special symbol - be it mathematic or scientific symbols, dingbats etc.


How to OCR a Document

  • Select the image source: you capture images using your scanner or open prescanned images - for instance faxes or images generated by a digital camera.

  • Be sure that your scanner is selected and that its settings are correct.

  • Select Text Pages as document type.

Tip: make sure that the business card reading mode isn’t enabled by accident! (Selecting the document type Business Cards or Multiple Business Cards in a Single Scan means that you’ll going to use Readiris as a BCR solution to recognize business cards, not as an OCR package to capture documents!)

  • Scan the page with your scanner or open the image file. (You capture images using your scanner or open prescanned images - for instance faxes or images generated by a digital camera.)

  • Have a closer look at the scanned page to control the image quality.

  • If the page analysis is enabled, the text windows, graphics and tables are detected automatically. Perform “sorting” to select the windows of interest and define their order. If the page analysis is disabled, use manual windowing or a zoning layout to indicate which blocks you want to recognize.

  • Specify the document’s language and characteristics.

  • You can save the recognized text in a text file, send it directly to a target application or copy it to the clipboard.

  • Start the character recognition.

  • You may interrupt at any time by clicking the Stop button (or pressing Escape).

  • If learning is enabled, you’ll enter the interactive phase.

Tip: the OCR wizard guides you through the OCR process comfortably - answer a few simple questions and you’ll obtain quick and easy results.

Tip: use the scanner’s document feeder (ADF) to efficiently convert a multipage document.


OCR Wizard

Operation

  • The OCR wizard offers a semi-automatic way of recognizing documents.

  • The wizard guides you through the OCR process comfortably: answer a few simple questions and you’ll obtain quick and easy results.

How to…?

  • You’ll find the OCR Wizard on the main toolbar.

  • The OCR wizard starts running each time you start up Readiris when the option Enable Wizard on Startup is enabled. (This option is enabled by default.)


Windowing Tools

Operation

  • Windows are drawn on a displayed image to indicate which data - text, tables, bar codes and handprinting - you want to recognize and which graphics you want to save.

  • There are five window types: text blocks, graphic zones (containing photos, illustrations etc.), tables, bar code zones and handprinted zones.

  • A color code indicates the window type.

Text windows are orange, graphics are purple and table windows pink. Bar code zones are green and handprinted zones blue.

(The windows have a colored border but no “fill” color - the actual color tones of your scans are not masked.)

  • Numbers indicate the sort order of the windows.

  • There are three different methods of zoning images: automatic page analysis, manual windowing and the use of fixed layouts.

The page analysis detects text, graphic and table zones; bar code zones and handprinted zones must be drawn manually by the user!

  • Drawing or detecting several windows is mandatory whenever a text is arranged in columns.

Tip: right-click the mouse (Context menu) and select the command Copy as Text to recognize the window under the mouse cursor. (The OCR results get sent to the clipboard as “ body text ” . The regular OCR options - the current document language, font type etc. - apply.)

Tip: this even works for handprinted text!

Tip: when you re-execute the OCR, only the new or modified windows and pages get recognized.

Page analysis

  • To decompose all scanned documents automatically, enable the option Page Analysis.

  • To make Readiris decompose the current page, use the command Analyze Page.

  • To select windows and modify their sort order, use the Sort command.

The selected windows have their full color. Non-selected windows have a lighter color tone and have no number.

  • Select the document language before executing the page analysis when you are dealing with Asian and Hebrew documents.

Specific routines are used for these languages: the interline spacing of Asian documents is in most cases bigger than in Western documents, the text is made up of small icons (“ideograms”) that could easily be seen as graphic zones in Western documents and the text may run from top to bottom, from right to left.

In Hebrew documents, the text runs from right to left!

Manual windowing

Tools are available to draw windows manually on the scanned image.

Tip: right-click the mouse (Context menu) and select the command Window - Type to modify the zone type.

Page analysis with manual windowing

  • Apply page analysis to detect the windows and sort the ones you want to include.

  • Start drawing a window manually - all windows you didn’t select are erased.

Window layouts

Specific zoning templates can be stored for future use.


Recognizing Multipage Documents

Readiris Pro limits the OCR jobs to 50 pages.

Scanning multipage documents with a document feeder

  • Enable the scanner’s document feeder (ADF).

  • Place the pages in the document feeder and start the scanning.

  • All pages are scanned until the document feeder is empty.

Scanning multipage documents without a document feeder

Use interval scanning to scan multipage documents efficiently when your flatbed scanner is not equipped with a document feeder (ADF).

The scanner automatically scans another page after a user-selected number of seconds; the interval allows you to replace the page placed on your scanner’s flatbed.

Readiris offers full flexibility: you can bypass the scanning interval to scan immediately and freeze it to take a phone call!

  1. Indicate the interval you need to place another page on the scanner’s flatbed in the scanner settings.

  2. Click the Scan button to initiate the scanning.

  3. Click Abort in the interval scanning dialog to end the automatic scanning. (Tip: press the Escape key!)

Tip: click Scan Now in the interval scanning dialog to scan immediately. The interval is cut short! (Tip: press the Enter key.)

Tip: click Pause in the interval scanning dialog to freeze the scanning interval. Click Resume when you’re ready to continue. (Tip: press the space bar!)

Loading prescanned images

  • The Open command is used to open prescanned images.

Tip: when you’re loading multipage images and PDF documents, you can define the page range! (Why load an entire book into Readiris when you only need a specific chapter...?)

  • To select several images, select the first image and hold down the Ctrl key as you select additional images.

  • To select a continuous range of images, select the first image and hold down the Shift key as you select the last image.

Tip: to open prescanned images, right-click them (Context menu) in the Windows Explorer and select the command Recognize. You can also drag them from the Windows Explorer onto the Readiris window or the Readiris icon.

Tip: Readiris sorts the images automatically - image 001.tif precedes 002.tif precedes 003.tif etc.

Starting a new (multipage) document

Use the command New Document to erase all images from memory.

Navigating through multipage documents

The page toolbar allows you to navigate comfortably through multipage documents.

Editing multipage documents

You can delete pages and move pages to another location in the document.

Recognizing multipage documents

  • The pages are displayed successively; the title bar indicates the page number.

  • If the interactive learning is enabled, you go through the learning page by page.

The dictionary mode “new” is used for the first page and the “append” mode for the successive pages.

  • The recognition result is saved in a single output file.

If you send the recognition result to a target application, various pages are created.

Tip: the option Create One File per Page sees to it that each page of a multipage document is saved in a separate file. If the user gives the file name text.doc, the files will be called text-1.doc, text-2.doc etc.

Advanced features (Readiris Corporate)

  • Batch OCR executes the recognition on all prescanned images in a specific folder.

  • Watched Folder systematically executes the recognition on all image files that get dropped in the “watched” folder.

Tip: Readiris processes document batches intelligently. Readiris detects blank pages to segment a batch into separate documents and reads bar codes automatically to index and name the documents.


How to OCR Tables

Readiris outputs tabular data to spreadsheets and word processors: tables get reconstructed cell by cell in worksheets and inserted as table objects in word processor files.

Windowing

  • The page analysis detects “gridded” and “non-gridded” tables.

“Gridded” or “framed” tables have borders around the cells, “non-gridded” tables are not surrounded by cell borders.

  • When the space between the columns of “non-gridded” tables is too big, Readiris may avoid windowing them as tables to avoid confusion with text columns.

Selecting the “language”

  • When you limit recognition to the numeric character set, the symbols “0” to “9”, “+”, “*”, “/”, “%”, “,“”, “.”, “(”, “)”, “-”, “=”, “$”, “£”, “¥” and the “€” will be recognized.

  • Do not select this option when your tables contain text!

Output mode

  • To interface with spreadsheets, send the table directly to Microsoft Excel or select a table format.

You can send tables to the clipboard with the option Send to - Clipboard Microsoft Excel!

  • To interface with word processors, send the table directly to Microsoft Word or select the text format Word (DOC), RTF (“Rich Text Format”) or HTML. You must retain the word and paragraph formatting or recreate the source document.


How to OCR Faxes

Operation

Readiris opens black-and-white, greyscale and color images in the DCX fax (multipage version of the Paintbrush format), DjVu (*.djv, *.djvu), JPEG, JPEG 2000 (*.j2c, *.jp2), PNG, (compressed) TIFF, Windows bitmap (*.bmp) and ZSoft Paintbrush (*.pcx) formats, and opens Adobe Acrobat PDF documents. (The TIFF images can be uncompressed and LZW, PackBits, Group 3, Group 4 and JPEG compressed.)

How to…?

  • Select the disk as input source to open prescanned images. Proceed as usual.

Tip: when you’re loading multipage images, you can define the page range!

  • Readiris detects the typical fax resolutions - 100 x 200 dpi (“normal quality”), 200 x 200 dpi (“fine quality”) and 200 x 400 dpi (“superfine quality”) - and “preprocesses” these images automatically to ensure optimal OCR results.

Tip: right-click images (Context menu) in the Windows Explorer and select the command Recognize or drag them from the Windows Explorer onto the Readiris window or onto the Readiris icon.

Tip: should you have any influence over your correspondents, ask them to send faxes with the “fine” quality - those faxes have the higher resolution of 200 dpi and will yield better OCR results.

Tip: the option Process as 300 dpi ignores the incorrect resolution contained in the image’s file header. (Some image files indicate an erroneous resolution in the file header that perturbs the recognition and “autoformatting”.) These images will be processed “normally”, as if they had a 300 dpi resolution.

Tip: use batch OCR or set up a watched folder to process large volumes of faxes automatically (Readiris Corporate).


Batch OCR

Executes the recognition on the prescanned images in a specific folder.

You could scan by day and read by night... Acquire all documents to be recognized; when you’re done, run the batch OCR and leave your PC to it. When you return the next day, all documents have been recognized!

Tip: Readiris processes document batches intelligently. Readiris detects blank pages to segment a batch into separate documents and reads bar codes automatically to index and name the documents.

Operation

  • Readiris processes the images of all supported file formats.

You cannot limit the OCR to the files of a specific file format.

Readiris converts black-and-white, greyscale and color images in the DCX fax (multipage version of the Paintbrush format), DjVu (*.djv, *.djvu), JPEG, JPEG 2000 (*.j2c, *.jp2), PNG, (compressed) TIFF, Windows bitmap (*.bmp) and ZSoft Paintbrush (*.pcx) formats. Readiris also converts Adobe Acrobat PDF documents.

Any files with another file format are simply ignored.

  • The recognized documents get the same file name as the image files.

The file extension obviously depends on the selected output format.

Example: 001.tif gets converted into 001. doc (if Word is the selected output format).

How to..?

  • Select the image and the text folder.

The text folder can be different from the image folder!

Tip: use the image folder as output folder. You’ll find the text documents alongside the scans - unless you enable the option Delete Images after Recognition!

  • Click OK to execute.

No further effort is required to convert the documents: the recognition process is automatic, interactive learning is disabled.

(You could scan by day and read by night... Acquire all documents to be recognized; when you’re done, click the OK button and leave your PC to it. When you return the next day, all documents have been recognized!)

You are limited to the “external” text formats. The OCR results are saved on disk. (Sending the reading results directly to a target application, sending them by e-mail or opening them automatically after the recognition doesn’t make any sense here.)

All OCR options - the current document language, font type etc. - apply.

Advanced features

  • The option Process Subfolders determines whether the subfolders of the image folder will be processed as well.

Doing so makes sense when the prescanned documents are placed in specific subfolders. You may for instance have a folder named “2-25-2005” that indicates the day and subfolders “1”, “2” etc. that contain the actual documents.

If enabled, this option triggers the processing of all subfolders; you cannot limit the OCR to (a) specific subfolder(s).

If the text folder differs from the image folder, the subfolders get recreated, “mirrored” in the output folder!

  • The option Overwrite Text Files determines whether the OCR process can replace previous recognition results.

Disable this option when you add new image files to a folder that contains images that have been recognized previously. (Otherwise your image files would be re-recognized when you process the folder a second time!)

  • The option Delete Scans after Recognition determines whether the image files will be deleted after the recognition. In other words, Readiris can “clean up” your image folder for you!

Enable this option when you exclusively store-archive the recognized documents, discarding the “temporary” image files.

Disable this option when you save both the scans and the recognized documents.

Tip: generate “ text-image ” or “ image-text ” PDF documents to save the scanned image and the recognized document in a single file!


Watched Folder

This command systematically executes the recognition on all image files that get dropped in a specific folder.

You can leave the OCR software running day after day... Acquire new documents each day and they will be recognized promptly.

Tip: Readiris processes document batches intelligently. Readiris detects blank pages to segment a batch into separate documents and reads bar codes automatically to index and name the documents.

Operation

  • Readiris processes the images of all supported file formats.

You cannot limit the OCR to the files of a specific file format.

Readiris converts black-and-white, greyscale and color images in the DCX fax (multipage version of the Paintbrush format), DjVu (*.djv, *.dvju), JPEG, JPEG 2000 (*.j2c, *.jp2), PNG, (compressed) TIFF, Windows bitmap (*.bmp) and ZSoft Paintbrush (*.pcx) formats. Readiris also converts Adobe Acrobat PDF documents.

Any files with another file format are simply ignored.

  • The recognized documents get the same file name as the image files.

The file extension obviously depends on the selected output format.

Example: sample.tif gets converted into sample.doc (if Word is the selected output format).

  • Readiris processes the images as they get created-placed in the watched folder.

Example

10:00:01 image XYZ.tif is placed in the watched folder

10:00:02 image a.png is placed in the watched folder

10:00:03:178 image 999.jpg is placed in the watched folder

10:00:03:224 image 1.bmp is placed in the watched folder

Processing order: XYZ.tif gets recognized before a.png before 999.jpg before 1.bmp.

How to..?

  • Select the image and text folder.

The text folder can be different from the image folder!

Tip: use the image folder as output folder. You’ll find the text documents alongside the scans - unless you enable the option Delete Images after Recognition!

  • Click OK to activate the “supervision” of the watched folder. Click Stop to interrupt the supervision.

No effort is required to convert the documents: the recognition process is automatic, interactive learning is disabled.

(You can leave the OCR software running day after day... Acquire new documents each day and they will be recognized promptly.)

You are limited to the “external” text formats. The OCR results are saved on disk. (Sending the reading results directly to a target application, sending them by e-mail or opening them automatically after the recognition doesn’t make any sense here.)

All OCR options - the current document language, font type etc. - apply.

Advanced features

  • The option Process Subfolders determines whether the subfolders of the image folder will be watched as well.

Doing so makes sense when the prescanned documents are placed in specific subfolders. You may for instance create a new subfolder each day that indicates the date (“2-25-2005”, “2-26-2005”, “2-27-2005” etc.). Further subfolders “1”, “2” etc. may contain the actual documents.

If enabled, this option sees to it that all subfolders are also watched; you cannot limit the OCR to (a) specific subfolder(s).

If the text folder differs from the image folder, the subfolders get recreated, “mirrored” in the text folder!

  • The option Delete Images after Recognition determines whether the image files will be deleted after the recognition. In other words, Readiris can “clean up” your image folder for you!

Enable this option when you exclusively store-archive the recognized documents, discarding the image files placed temporarily in the watched folder.

Disable this option when you save both the scans and the recognized documents.

Tip: generate “ text-image ” or “ image-text ” PDF documents to save the scanned image and the recognized document in a single file!


Organizing Batches

Readiris Corporate can process batches composed of several documents automatically.

Separating documents

Insert a blank cover page between the documents. (A “blank” page is a page with hardly any black pixels - black borders excluded.) Readiris detects blank pages automatically and marks them as cover pages.

Tip: the page toolbar highlights the cover pages!

Tip: you can separate documents manually! Select the first page of a document in the page toolbar, right-click it (Context menu) and select the option Cover Page. (Know that the contents of a cover page are lost: the cover pages serve as separator but are not read!)

Tip: the option Duplex Scanning indicates that you’re scanning the front and rear sides of documents. To separate the documents correctly, the white rear pages will get ignored!

Indexing documents

The recognition of bar codes is automatic when the scanned page follows the blank cover page.

Tip: the document panel indicates the value of the recognized bar code!

The reading results are saved in the XML index, not in the recognized document!

Tip: you have to draw bar code zones to recognize bar codes on the other pages. Here, the reading results will be placed inside the recognized document.

Tip: the option Duplex Scanning indicates that you’re scanning the front and rear sides of documents. The rear sides are ignored when detecting bar codes on the next page: the next page becomes the next front image, not the next image!


Recognizing Asian Documents

Asian languages

  • Readiris optionally offers recognition of the Asian languages Japanese, Simplified Chinese, Traditional Chinese and Korean.

  • Simplified Chinese is used on China’s mainland and in Singapore, where Traditional Chinese is used by Hong Kong, Taiwan, Macau and the overseas Chinese communities.

Tip: a large number of Asian languages such as Malay, Tagalog etc. are supported by the “standard” Readiris software because they use the Latin alphabet!

Working environment

  • To view and edit Asian documents, you can use Word 2003 (Office 2003 System), Word 2002 (Office XP) or Word 2000 (Office 2000) or install an Asian version of the Windows operating system.

  • To view and edit Asian PDF documents, you can use an Asian version of the Adobe Acrobat or Adobe Reader software. Tip: the Asian versions of Adobe Reader can be found on the Readiris CD-ROM.

Page analysis

  • Select the document language before executing the page analysis when you are dealing with Asian documents.

  • Specific routines are used for these languages: the interline spacing of Asian documents is in most cases bigger than in Western documents, the text is made up of small icons (“ideograms”) that could easily be seen as graphic zones in Western documents and the text may run from top to bottom, from right to left.

Tip: if you forgot to select the proper language, select it afterwards. Readiris re-executes the page analysis automatically!

Character sets

When you select an Asian language, a mixed character set is used automatically: Readiris copes beautifully with the “Western” words (proper names etc.) that occur in Asian documents. (No secondary language is needed ( Readiris Corporate ).)

Document characteristics

The commands Font Type and Character Pitch do not apply to Asian documents.

Interactive learning

  • Interactive learning does not apply to Asian documents.

  • Learning does not make sense for these languages which use thousands of different symbols - and you’d have to be able to enter the ideograms, not an easy task when using a Western keyboard!


Recognizing Hebrew Documents

Readiris optionally offers recognition of the Hebrew language.

Working environment

  • To view and edit Hebrew documents, you can use Word 2003 (Office 2003 System), Word 2002 (Office XP) or Word 2000 (Office 2000) or install a Hebrew version of the Windows operating system.

  • To view and edit Hebrew PDF documents, you can use the Hebrew or Middle-Eastern version of the Adobe Acrobat or Adobe Reader software. Tip: these versions of Adobe Reader can be found on the Readiris CD-ROM.

Character sets

When you select the Hebrew language, a mixed character set is used automatically: Readiris copes beautifully with the Latin words (numbers, proper names etc.) that occur in Hebrew documents. (No secondary language is needed ( Readiris Corporate ).)

The Hebrew text is written from right to left, the embedded phrases on the other hand from left to right!

Page analysis

Select the document language before executing the page analysis when you are dealing with Hebrew documents. Specific routines are used for this language: the text runs from right to left!

Tip: if you forgot to select the proper language, select it afterwards. Readiris re-executes the page analysis automatically!

Interactive learning

Interactive learning does not apply to Hebrew documents.


Page Analysis - Analyze Page

Operation

  • You avoid the manual windowing of the various zones as Readiris decomposes the page automatically.

This is particularly useful when columnized texts and documents with a complex page layout - possibly including graphics and tables - are OCRed.

  • There are five window types: text blocks, graphic zones containing photos, illustrations etc., tables, bar code zones and handprinted zones.

The page analysis detects text, graphic and table zones.

Bar code zones and handprinted zones must be drawn manually by the user!

  • A color code indicates the window type.

Text windows are orange, graphics are purple and table windows pink. Bar code zones are green and handprinted zones blue.

(The windows have a colored border but no “fill” color - the actual color tones of your scans are not masked.)

  • The windows are sorted top-down, left to right to account for columnized documents but you can change their sort order.

  • Page analysis is fast, skew-tolerant and highly accurate - it “detects” irregular shapes.

  • The page analysis detects “gridded” and “non-gridded” tables.

“Gridded” or “framed” tables have borders around the cells, “non-gridded” tables are not surrounded by cell borders.

(When the space between the columns of “non-gridded” tables, Readiris may avoid windowing it as a table to avoid confusion with text columns.)

  • Page analysis detects zones where you get white text on a black background. (Readiris “inverts” the image when the need arises to recognize such text blocks!)

  • Specific routines are used for Asian and Hebrew documents.

The interline spacing of Asian documents is in most cases bigger than in Western documents, the text is made up of small icons (“ideograms”) that could easily be seen as graphic zones in Western documents and the text may run from top to bottom, from right to left.

In Hebrew documents, the text runs from right to left!

How to…?

  • To decompose the scanned documents automatically, enable the option Page Analysis.

  • To make Readiris decompose the current page, use the command Analyze Page.

Tip: the page analysis tool Ignore Exterior Zone limits the page decomposition to the “cropped” portion of the image. You can exclude the same outer zone from page analysis on every page of the document. (Re-execute the page analysis to cancel the image “cropping” or modify the zones manually.)

Tip: the page analysis is re-executed when you rotate and deskew an image.

Tip: the option Do Not Detect Windows on Page Borders ignores any zones that touch the page borders. When your scanner generates black borders around the actual image, the page analysis tends to find zones where there’s only “noise”. (Graphic zones on page borders are left untouched - photos often touch the page border, background graphics in most cases cover the entire page etc.)

Tip: select the document language before executing the page analysis when you are dealing with Asian and Hebrew documents.

Tip: if you forgot to select the proper language, select it afterwards. Readiris re-executes the page analysis automatically!


Save Graphics - Save Full Page As Image - Save All Pages As Image

Operation

  • Readiris supports black-and-white, greyscale and color images. Select the appropriate scanning mode.

  • You can save the graphic windows only - without performing recognition on the text and table windows.

  • You can include the graphics in the text file by selecting the autoformatting option Recreate Source Document and enabling the option Include Graphics.

  • You can save entire scanned documents in image files for deferred recognition.

Tip: Readiris supports the output format PDF Image!

Copying graphics

Right-click the mouse (Context menu) and select the command Copy as Graphic to send the graphic window under the mouse cursor to the clipboard.

Saving graphics

  • Select the graphic window tool to zone a graphic, illustration etc.

Sides smaller than 1 mm are not allowed - bitmaps of that size hardly contain any information. “Irregular”, non-rectangular windows are invisibly converted into rectangles: Readiris covers the maximal surface based on the largest coordinates. In the example below, the graphic window with the black border is completed by the shaded area.

  • You can create several graphic windows per operation, but these will be collected in a single file.

Tip: use the Crop command of your paint or photo retouching program to separate them.

  • The command Save Graphics saves the graphic windows only - without performing text recognition on the text and table windows.

  • Select a graphic format supported by your photo retouching software.

The JPEG, JPEG 2000 , TIFF and ZSoft Paintbrush (*.pcx) formats are supported.

Enable the option Greyscale/Color to save the graphic as a color or greyscale graphic.

Tip: when you save black-and-white graphics in the TIFF format, Group 4 compression is used. When you save greyscale and color graphics in the TIFF format, JPEG compression is used and you can define the JPEG quality.

Tip: depending on your Windows version, image can always be opened with the Windows accessories Paint or Imaging.

Saving full pages as images - deferred OCR - fax recognition - digital cameras

  • The command Save Full Page as Image saves the entire page in an image file.

The PDF, JPEG, JPEG 2000 , TIFF and ZSoft Paintbrush (*.pcx) formats are supported.

Tip: when you save black-and-white images in the TIFF format, Group 4 compression is used. When you save greyscale and color images in the TIFF format, JPEG compression is used and you can define the JPEG quality.

Tip: the output format PDF Image also produces image output of the scanned page!

  • The command Save All Pages as Image saves all document pages in a multipage image file.

The formats PDF and (multipage) TIFF are supported.

Tip: when you save black-and-white images in the TIFF format, Group 4 compression is used. When you save greyscale and color images in the TIFF format, JPEG compression is used and you can define the JPEG quality.

Tip: the output format PDF Image also produces image output of the scanned document!

  • Deferred OCR is run on prescanned images. You can scan a document, save the pages as an image and recognize the image file later on!

Tip: Readiris Corporate executes batch recognition on the prescanned images in a specific folder.

You could scan by day and read by night... Acquire all documents to be recognized; when you’re done, run the batch OCR and leave your PC to it. When you return the next day, all documents have been recognized!

Tip: using a “watched folder”, Readiris Corporate executes the recognition on all image files that get dropped in a specific folder.

You can leave the OCR software running day after day... Acquire new documents each day and they will be recognized promptly.

  • A similar procedure is used to recognize faxes.

Adobe Acrobat PDF documents and images in the DCX fax (multipage version of the Paintbrush format), DjVu (*.djv, *.djvu), JPEG, JPEG 2000 (*.j2c, *.jp2), PNG, (compressed) TIFF, Windows bitmap (*.bmp) and ZSoft Paintbrush (*.pcx) format, mainly faxes, can be opened. (The TIFF images can be uncompressed and LZW, PackBits, Group 3, Group 4 and JPEG compressed.)

  • To recognize images captured with a digital camera, enable the option Digital Camera.


Page Deskewing - Deskew Page

Operation

  • Although page analysis and recognition are skew-tolerant, it may become difficult to window and OCR a page correctly when the skew is too significant.

  • Limited lineskew (less than 0.5°) can be ignored because the OCR accuracy does not suffer.

How to…?

  • The option Page Deskewing (on the Options button) determines whether pages which were scanned at an angle will be deskewed, straightened automatically. (Limited lineskew is ignored.)

  • The command Deskew Page (on the image toolbar) straightens pages which were scanned at an angle. The page analysis gets re-executed afterwards.

Tip: the document panel indicates which pages were deskewed (and rotated) automatically.

Tip: don’t confuse with the detection of the page orientation - that routine corrects images that were scanned at a 90°, 180° or 270° angle!


How to Use Windows

Creating windows

  • Select the text, graphic, table, bar code or handprinting window tool. The mouse pointer assumes the shape of a crossbar.

  • Drag the mouse to create a zone.

Tip: create polygonal windows by merging rectangular zones. Whenever two windows (of the same type) intersect, they become a polygon automatically. (Creating polygonal table or bar code windows makes no sense.)

Tip: the page analysis does not detect bar code zones and handprinted zones. The user must always draw them manually!

Tip: Readiris Corporate detects bar codes on pages that follow the blank cover page!

Changing the window type

Right-click a window and select the command Window - Type (from the Context menu) to change the window type.

Selecting windows

  • Select the “arrow” tool and click inside a window to select a window. Markers appear at each corner and in the middle of the window sides.

  • To unselect windows, click the mouse button elsewhere.

  • To select additional windows, hold down the Shift key while clicking inside these windows.

  • To select a window and the included windows (of another type), hold down the Ctrl key while clicking inside the main window.

  • Choose the command Select All to select all windows.

Tip: you can display the type, coordinates and sort order of a window by pressing the Alt key while you select it!

Modifying windows

  • Select the window(s).

  • Place your cursor over a marker.

  • Drag the mouse to change the window size.

Moving windows

  • Select the window(s).

  • Drag the mouse to modify the position of the window(s).

Deleting windows

  • Select the window(s). (Choose the command Select All to select all windows.)

  • Select the command Cut to cut the selected window(s) to an internal buffer.

  • Select the command Clear to delete the selected window(s) irretrievably.

Tip: use the corresponding shortcut keys!

Tip: right-click the mouse (Context menu) and select the command Delete Window to delete all selected windows and the window under the mouse cursor.

Tip: use the command Delete Small Windows to erase all smaller windows.

Recognizing windows

Right-click the mouse (Context menu) and select the command Copy as Text to recognize the window under the mouse cursor. The OCR results get sent to the clipboard as “ body text ” .

Tip: this even works for handprinted text!

Tip: the regular OCR options - the current document language, font type etc. - apply.

Tip: when you re-execute the OCR, only the new or modified windows get recognized.


Handprinting

What is handprinting and what is handwriting?

  • Handwriting is used to describe continuous, “cursive” handwritten text. The symbols within a word or character string touch, it is impossible to say where one symbol ends and another starts.

(Waliciewskcie)

  • With handprinting, the “block letters” are separated and the recognition software has an easier job to isolate the individual characters.

  • It takes highly specialized software to recognize handprinted symbols.

Such software is called “ICR” software - “ICR” stands for “Intelligent Character Recognition”.

Readiris supports all natural writing styles - American and European. No imposed style is required.

This powerful ICR technology is based on more than one million writing samples!

Recognized symbols

Handprinting recognition is limited to the numerals (0-9), the uppercase letters (A-Z), the punctuation symbols “,” (comma) and “.” (dot) and the special symbols “+” (plus) and “-” (hyphen).

How to...?

  • Draw a handprinting window around the handprinted text - the page analysis does not detect it - and execute the recognition.

Tip: right-click a handprinted zone (Context menu) and select the command Copy As Text. The reading result is sent to the clipboard.

  • The output is “normalized” to increase its legibility.

Uppercase characters are replaced by lowercase characters - unless they occur at the beginning of a sentence.

You may write block letters to produce machine-readable shapes, but the reading result is “normal” text!

Tip: use the blank I.R.I.S. writing form as a full-page “template” to ensure that the block letters are regularly spaced and have the right size!

Tip: the document characteristics - language, font type and character pitch - do not apply to handprinting. You’re limited to a basic English - or should be say “Latin”? - character set of (uppercase) block letters!

Tip: interactive learning doesn’t apply either! Learning does not make sense in an environment where everybody has a particular handwriting style. (As indicated, the ICR technology is based on more than one million writing samples...)

Handwriting form and handwriting rules

Where less than optimal reading results are obtained, you can use I.R.I.S.’ optimized writing form and adapt your writing style.

  • The blank I.R.I.S. writing form serves as a full-page “template” on which the block letters are filled out regularly spaced and in the right size!

Tip: you can find the empty I.R.I.S. writing form on the Readiris CD-ROM for reprinting (in Adobe Acrobat PDF format) and possible editing (in Word (*.doc) format). Print the form in color and fill it out. Or print it in black-and-white and place it as a “guide” under the paper you’re writing on.

  • A few simple rules can teach you why substitutions occur and how to avoid them.

The writing is in the pen!

Use a sufficiently thick ballpoint. Thin ballpoints may not provide acceptable images: zones which aren’t sufficiently dark may not get detected. Black pens yield better results than blue pens.

Do not use pencils: the grey images they produce are too light to get picked up by the scanner!

Write regular, well spaced symbols

The block letters must be regularly shaped and well spaced. Touching characters are recognized with less accuracy.

Tip: use the I.R.I.S. writing form!

Don’t stylize too much

Don’t add too many loops where none are necessary. (Excessively stylized forms may be more difficult to recognize and lead to rejection or substitution if exaggerated.)

Loops opened and closed

Don’t open loops which should be closed, don't close loops which should be open!

Characters can get confused because loops which should remain open were closed.

Avoid broken characters

Ensure that the symbols aren’t broken.

How to write ones

The number 1 can be written in the “anglicized” and “European” style.

Ones can be “underlined” or not.

The horizontal underlining bar does not have to touch the rest of the font form.

Avoid retracing

Avoid retracing, it reduces the image quality and clarity of the handprinted symbols.

Symbols which are entirely stricken out don’t get recognized.

Drop out means form background

Light colors are ignored by the binarization process. When scanning in black-and-white, your scanner may have an invisible or “drop out” color. All data in those colors cannot be recognized.

These colors can be used efficiently as background color in a blank “form” to guide your writing. You ensure spaced, regular writing of “block letters” by writing the individual symbols in predefined blocks.

Tip: use the I.R.I.S. writing form!


Bar Code Reading

Operation

Bar codes can be used to provide the indexing data and to name the documents (Readiris Corporate).

Bar codes that occur in scanned images can be read and inserted in the text documents as recognized data.

Bar codes - what’s in a name?

  • Bar codes are composed of parallel bars and spaces between them. Predefined combinations of bars and spaces represent specific characters.

  • There are several bar code standards or symbologies .

All widespread bar code symbologies are supported: Codabar, Code 128, Code 39, Code 39 extended, Code 39 HIBC, Code 93, Discrete 2 of 5, EAN-13, EAN-2, EAN-5, EAN-8, Interleaved 2 of 5, MSI pharmaceutical, MSI-Plessey, Kodak patch code, PDF-417, PostNet, PostNet 32, PostNet 52, PostNet 62, UCC-128, UPC-A and UPC-E.

Tip: the check digits-characters of some bar code symbologies are verified but stripped from the reading result!

Printing bar codes

  • Only laserprinted and inkjet printed bar codes have sufficient quality. Exclude matrix printed bar codes: they do not produce sufficient contrast and their resolution is mostly limited to 60 dpi!

  • Readiris recognizes well contrasted bar codes best; black bars on a white background yield the best results.

  • Most bar code types require a “quiet zone” around the actual bar code.

Bar codes don’t render partial results: a missing bar, a missing start or stop character and an incorrect check digit always lead to a misread, a zero result!

All bar code generating software provides an option where a large “quiet zone” is added to the actual bar codes.

How to...?

Automatic indexing (Readiris Corporate)

Readiris automatically looks for bar codes in all pages that follow a blank cover page.

Tip: the reading results are listed on the document panel.

Tip: the reading results are listed on the tooltip of that page in the page toolbar.

Tip: the check digits-characters of some bar code symbologies are verified but stripped from the reading result.

Manual bar code reading

Draw a bar code window around each bar code. (The page analysis does not detect them.)

Execute the recognition; the bar codes are read and included as text in the output text documents.

Tip: the check digits-characters of some bar code symbologies are verified but stripped from the reading result.

Tip: right-click the mouse (Context menu) and select the command Copy as Data to recognize the bar code under the mouse cursor. (The reading result gets sent to the clipboard.)


Business Card Reading

Operation

  • Scan your business cards, recognize them and convert them into an address database.

Enter calling cards without the time-consuming task of retyping them - think of your last exhibition when you came back with an entire stack of business cards and it took your secretary two days to encode them!

  • Readiris smoothly complements such applications as contact managers, databases or even wordprocessors whose mail merge function allows to print letters, envelopes and labels.

Field analysis

The business cards’ data is extracted automatically from the images and the recognized data is assigned to specific database fields.

  • Readiris extensively uses a knowledge database, thus acquiring the necessary intelligence to discriminate the first and last name, a city and its state, a telephone and a fax number etc.

When the character string “John Williams” gets read, Readiris “knows” that John is a first name and Williams a last name. In the same way so does the system recognize titles such as “vice president” and “engineer”, cities such as Boise and Chicago, states such as Oregon and Maryland etc.

  • Each country has a different “style” of composing business cards.

Americans compose an address differently than the French do, Dutch ZIP codes and telephone numbers have a different syntax than their British counterparts etc.

When the business card reading mode is enabled, a list of supported countries replaces the supported languages.

Some card styles correspond to several languages. Belgium and Canada have two official languages, Switzerland has three! Readiris detects the selected language automatically...

  • This works for up to 28 countries: North and South American business cards and business cards from the European countries, including the Eastern-European nations, are supported.

Reading Chinese, Japanese, Korean and Taiwanese business cards requires the software option “Asian BCR add-on”. (Do not confuse with the “Asian OCR add-on”!)

Business cards from these Asian countries in English are supported by the “standard” Readiris Corporate software!

  • The field analysis comprises a third task: Readiris not only analyzes but also formats the recognized text.

The system filters all irrelevant data from a business card, even if they play an active role!

If your business card mentions the information “Telephone: (508) 898-42 89”, the resulting output will be “5088984289” in the telephone field. The word “telephone” is dropped, even if Readiris made good use of it to detect the location of the telephone number.

The brackets, the hyphen and the spaces within the telephone number are also deleted.

Making use of the recognized contacts

The resulting data can be exploited in many ways. After all, isn’t it the business you want, and not the cards?

You can save your contacts in a structured file - for instance in the vCard format - to export them to any address database - for instance Microsoft Access or the standard Windows application Address Book. Alternatively, you can send the contacts directly to your contact management software such as Microsoft Outlook (Express) etc.

“BCR” smoothly complements such applications as contact managers, databases or even word processors whose “mail merge” function allows to print letters, envelopes and labels.

Using dedicated hardware - the I.R.I.S. Card Scanner (“IBCR-II”)

When business card reading is a major application - you’re, say, scanning a great many business cards on a booth at a fair -, you can use I.R.I.S.’s dedicated business card scanner “IBCR-II”.

Dedicated business card scanners are optimized for scanning business cards and have many advantages over other scanner types:

  • They hardly take up any space on your desk

  • They swiftly cope with calling cards of varying paper and printing qualities

  • You never have to wonder about selecting the correct card format

Flatbed scanners

You can scan several business cards simultaneously on the scanner’s flatbed and have them split up by the software.

The background must be black if Readiris is to extract the various business cards. (Tip: scan the cards with the lid of your flatbed scanner open. That creates the black background for you!)


How Business Card Reading Works

Readiris Corporate adds a major extra functionality to your Readiris software - the recognition of business cards.

BCR (“Business Card Reading”) - what’s in a name?

  • Scan your business cards, recognize them and convert them into an address database!

OCR allows to encode calling cards without the time-consuming task of retyping them. Think of your last exhibition when you came back with an entire stack of business cards and it took your secretary two days to encode them!

  • The cards’ data is extracted automatically from the images and the recognized data is assigned to specific database fields.

Readiris extensively uses a knowledge database, thus acquiring the necessary intelligence to discriminate the first and last name, a city and its state, a telephone and a fax number etc.

Each country has a different “style” of composing business cards, Americans compose an address differently than the French do etc.

This works for up to 28 countries: North and South American business cards and business cards from the European countries, including the Eastern-European nations, are supported. (Optionally, you can read Asian business cards from China, Japan, Korea and Taiwan.)

  • The resulting data can be exploited in many ways. After all, isn’t it the business you want, and not the cards?

Business Card Reading smoothly complements such applications as contact managers, databases or even word processors whose mail merge function allows to print letters, envelopes and labels.

You can save your contacts in a structured file - for instance as comma delimited data or in the vCard format - to import them into any address database - for instance Microsoft Access. (vCard files are swiftly imported into any vCard compliant application: double-click a vCard file and the contacts are added to your Windows Address Book!)

Alternatively, you can send the contacts directly to your contact management software Microsoft Outlook (Express) and to the Palm Desktop software of your PDA.

Who applies?

It takes a Readiris Corporate license.

Using dedicated hardware

You can go one step further by purchasing the dedicated I.R.I.S. Card Scanner “IBCR-II”.

Acquiring it

Contact I.R.I.S. to obtain the software upgrade and hardware option.


How to OCR Business Cards

  • Be sure that your scanner is selected and that its settings are correct.

Select a scanning resolution of 400 to 450 dpi to recognize business cards successfully.

Tip: calibrate the I.R.I.S. Card Scanner IBCR-II when you’re using it for the first time! (Insert the white calibration card supplied with your business card scanner.)

  • Enable the business cards as document type.

Select the document type Business Cards when scanning the cards with a dedicated business card scanner, select the type Multiple Business Cards in a Single Scan when you’re going to scan the cards on the flatbed of your flatbed scanner.

In that case, you can scan several cards simultaneously on the flatbed and have them split up by the software. (The background must be black if Readiris is to extract the various business cards!)

Tip: scan the cards with the lid of your flatbed scanner open. That creates the black background for you!

Tip: use the command Extract Business Cards if you forgot to enable the multiple card mode and scanned several cards on your flatbed. Doing so segments the large image containing several business cards into the actual card images, throwing away the superfluous black borders.

(Selecting the document type Text Pages means that you’ll going to use Readiris as an OCR package to capture documents, no longer as a BCR solution to recognize business cards.)

  • Scan all business cards with your scanner.

Sort the business cards by country - you can only activate one card style at the same time!

Tip: the I.R.I.S. Card Scanner IBCR-II can scan cards automatically when you place them in the scanner! You insert one business card after the other: as soon as a business card is placed in the scanner, the scanning starts...

Tip: the option Page Deskewing and Page Orientation Detection are enabled automatically to have the business cards straigthened for you!

  • Specify the card style of the business cards.

Tip: sort the business cards by country - you can only activate one card style at the same time!

  • Determine where you’ll take the output.

You can save your contacts in a structured file - for instance as comma delimited data or in the vCard format - to import them into any address database - for instance to Microsoft Access. (vCard files are swiftly imported into any vCard compliant application: double-click a vCard file and the contacts are added to your Windows Address Book!)

Alternatively, you can send the contacts directly to your contact management software Microsoft Outlook (Express) and to the Palm Desktop software of your PDA.

  • Start the card recognition.


Hardware Option IBCR-II

Readiris Corporate users can purchase the dedicated I.R.I.S. Card Scanner “IBCR-II”.

Business card scanners

Dedicated business card scanners are optimized for scanning business cards and have many advantages over other scanner types:

  • They hardly take up any space on your desk

  • They swiftly cope with calling cards of varying paper and printing qualities

  • You never have to wonder about selecting the correct card format

I.R.I.S. Card Scanner - IBCR-II

  • The IBCR-II generates color images.

  • The IBCR-II uses a scanning resolution of 400 dpi.

Although OCR normally uses a 300 dpi resolution, we use a higher resolution with Readiris, where successful recognition implies reading tiny, stylized characters.

  • The IBCR-II is a USB device that doesn’t require an external power supply.

  • The IBCR-II covers a scanning surface of 4.13 x 5.83” (10.5 x 14.8 cm).

  • The IBCR-II can scan cards automatically when you place them in the scanner!

Installing the IBCR-II

  • The IBCR-II uses a USB connection. (USB support requires the operating system Windows XP, ME, 2000 or 98!)

  • You can “hot plug” the card scanner into the PC’s USB port without having to reconfigure or reboot your PC.

Calibrating the IBCR-II

The software prompts you to calibrate the IBCR-II when you’re using it for the first time! Insert the white calibration card supplied with your business card scanner and follow the on-screen instructions.

Scanning with the IBCR-II

The IBCR-II can scan cards automatically!

Give the scan command once and enable the automatic scanning mode in the Twain user interface.

You can now insert one business card after the other: as soon as a business card is placed in the scanner, the scanning starts...

Who applies?

It takes a Readiris Corporate license.

Acquiring it

Contact I.R.I.S. to obtain this hardware option.


Scanner

Scanner model

  • Select your scanner model - the scanner has to be connected to your PC and ready!

  • Readiris supports almost every flatbed and sheetfed scanner, “all-in-one” device (“MFP” - “Multifunctional Peripheral”), digital camera and scanner standard currently available. Readiris is Twain compliant.

When business card reading is a major application - you’re, say, scanning a great many business cards on a booth at a fair -, you can use I.R.I.S.’s dedicated business card scanner “IBCR-II”.

  • Consult the hardware documentation that came with your scanner if you experience any problem with your scanner.

  • If you select “<Image>” as “scanner” model, prescanned images function as image source.

Basic settings for flatbed - sheetfed scanners

With some scanner models, image smoothening is needed to recognize color and greyscale images successfully.

Basic settings for digital cameras

Enable the option Digital Camera when the images are acquired using a digital camera.

Enable the option Process as 300 dpi.

With digital cameras, the image resolution is unknown. Thanks to this option, the images will be processed “normally”, as if they had a 300 dpi resolution. (You also avoid a warning that you’re submitting images with a resolution lower than 200 dpi or higher than 800 dpi.)

Further scan settings

Options not supported by the selected scanner will be not displayed. With Twain compliant scanners, the scan settings are often set within the Twain interface.

  • Select the color mode: Readiris supports black-and-white, greyscale and color images.

  • Set the scanner settings: resolution, page format and orientation, brightness and contrast.

Optimal OCR requires a resolution between 300 and 400 dpi. Readiris warns you when you’re submitting images with a resolution lower than 200 dpi or higher than 800 dpi.

Tip: the option Optimize Resolution for OCR corrects the resolution of images scanned with too much detail. When the image resolution exceeds 600 dpi, the image resolution is reduced for the OCR process.

Select a scanning resolution of 400 to 450 dpi to recognize business cards successfully.

  • Enable the scanner’s document feeder (ADF) to scan multipage documents.

Tip: use interval scanning to scan multipage documents efficiently when your flatbed scanner is not equipped with a document feeder (ADF)!

  • The option Invert allows the user to generate “inverted” black-and-white images. (Tip: Readiris recognizes inverted images successfully!)

  • With Twain and HP scanners, you can enable the auto-exposure option to automatically adjust the brightness and contrast to the scanned document.

  • High-speed and duplex scanning is limited to Readiris Corporate.

Interval scanning - fast scanning without a document feeder

The scanner automatically scans another page after a user-selected number of seconds.

This scanning method scans multiple pages automatically when your scanner is not equipped with a document feeder (ADF): the interval allows you to replace the page placed on your scanner’s flatbed.

Readiris offers full flexibility: you can bypass the scanning interval to scan immediately and freeze it to take a phone call!

  • Indicate the interval you need to place another page on the scanner’s flatbed.

  • Click the Scan button to initiate the scanning.

  • Click Stop in the interval scanning dialog to end the automatic scanning.

Tip: click Scan Now in the interval scanning dialog to scan immediately. The interval is cut short!

Tip: click Pause in the interval scanning dialog to freeze the scanning interval. Click Resume when you’re ready to continue.


Controlling the Image Quality

The recognition rate is greatly dependent on the document and scanning quality. Taking a closer look at the scanned image is useful to control this quality.

  • With too light documents, characters get broken up: “O” may become “()” etc.

  • Too dark documents contain very heavy shapes, open letters get closed and too many characters are glued together: “c” becomes an “o” etc.

Tip: use the magnifying glass to zoom in on details of the scanned document. (The magnifying glass is also available when you right-click the mouse (Context menu).)

How to…?

  • Adjust the quality of the scanned image by modifying the scanning brightness of your scanner.

  • Scan your documents in greyscale or color when the text is printed on a color background.

  • Use the command Adjust Image to enhance the scanned image for the OCR process.

  • With Twain and HP scanners, you can enable the auto-exposure option to automatically adjust the brightness and contrast to the scanned document.


Scan - Open

  • Scans a document or opens prescanned images, depending on your image source.

Tip: when you’re loading multipage images and PDF documents, you can define the page range! (Why load an entire book into Readiris when you only need a specific chapter...?)

  • Enable the scanner’s document feeder (ADF) to scan multipage documents. All pages in the document feeder will be scanned and considered part of a single document.

Use interval scanning to scan multipage documents efficiently when your flatbed scanner is not equipped with a document feeder (ADF).

The scanner automatically scans another page after a user-selected number of seconds; the interval allows you to replace the page placed on your scanner’s flatbed.

Readiris offers full flexibility: you can bypass the scanning interval to scan immediately and freeze it to take a phone call!

  1. Indicate the interval you need to place another page on the scanner’s flatbed in the scanner settings.

  2. Click the Scan button to initiate the scanning.

  3. Click Abort in the interval scanning dialog to end the automatic scanning. (Tip: press the Escape key!)

Tip: click Scan Now in the interval scanning dialog to scan immediately. The interval is cut short! (Tip: press the Enter key.)

Tip: click Pause in the interval scanning dialog to freeze the scanning interval. Click Resume when you’re ready to continue. (Tip: press the space bar!)

  • Readiris opens black-and-white, greyscale and color images.

Adobe Acrobat PDF documents and DCX fax (multipage version of the Paintbrush format), DjVu (*.djv, *.djvu), JPEG, JPEG 2000 (*.j2c, *.jp2), PNG, (compressed) TIFF, Windows bitmap (*.bmp) and ZSoft Paintbrush (*.pcx) images are supported. (The TIFF images can be uncompressed and LZW, PackBits, Group 3, Group 4 and JPEG compressed.)

Prescanned images are mainly faxes and images produced by digital cameras.

Tip: right-click images (Context menu) in the Windows Explorer and select the command Recognize.

Tip: you can drag images from the Windows Explorer onto the Readiris window and the Readiris icon.

Tip: Readiris sorts the images automatically - image 001.tif precedes 002.tif precedes 003.tif etc.

Tip: you can enable the image smoothening when you load prescanned images into memory.

  • Pay some attention to lineskew.

Although page analysis and recognition are skew-tolerant, it may become difficult to zone and recognize a page correctly when the skew is too significant.

Tip: Readiris can deskew pages scanned at an angle!

  • Verify the page orientation.

If necessary rotate the images with the rotation tools.

Tip: Readiris can detect the page orientation for you!


Printing Images

Prints the current image or all images.

How to...?

  • Select the number of images (or thumbnails) you want to print per page. You can print up to 64 thumbnails on a page!

  • Click OK to execute. You’ll be prompted to select your printer and define its setup.

Advanced features

To exclude a page from the printing (and recognition) process, click its page number in the document panel.

Tip: you can also select the page, right-click it in the page toolbar (Context menu) and use the commands Include Page and Exclude Page.

Tip: the thumbnails of excluded pages are stricken out!

Tip: the commands Include All Pages and Exclude All Pages from the Edit menu apply to all pages simultaneously!

Tip: printing the current page always works - even if that page is excluded for the time being!


Navigating through Multipage Documents

Page toolbar

  • The page toolbar highlights the blank cover pages!

Tip: Readiris detects blank pages automatically and marks them as cover pages.

Tip: you can also separate the documents in a batch manually! Select the first page of a document in the page toolbar, right-click it (Context menu) and select the option Cover Page.

  • The page toolbar indicates the border between two documents in a batch.

  • (Temporarily) excluded pages are stricken out!

Tip: hold your mouse cursor over a page icon in the page toolbar to display a tooltip. It displays statistics and extensive information on the scanned page - scanning and recognition time (excluding the interactive learning), resolution etc.

Tip: the document panel and the Info command display the same information.

Tip: to delete a page from the document, select it in the page toolbar, right-click it (Context menu) and select the command Delete Page. (You can also select the page in the document panel and press the Del key.)

Navigating through multipage documents

The page toolbar highlights the current page. It allows you to navigate comfortably through multipage documents.

  • To go to a page, click it in the document panel, click on its icon in the page toolbar or drag the slider bar of the page toolbar.

Tip: you can also hold your cursor over its icon in the page toolbar, right-click it (Context menu) and use the command Select Page.

  • Press PageUp to go to the previous page, press PageDown to go to the next page. (You can also use the commands Previous Page and Next Page from the View menu.)

  • Press Home to go to the first page, press End to go to the last page. (You can also use the commands First Page and Last Page from the View menu.)


Editing Multipage Documents

  • To move a page inside the document, select it and drag it to another location in the page toolbar.

Tip: to move a page in the document, you can also select it, right-click it in the page toolbar (Context menu) and use the commands Move Page Up and Move Page Down.

  • To delete a page from the document, select it in the document panel and press the Del key.

Tip: you can also select a page in the page toolbar, right-click it (Context menu) and select the command Delete Page.

Tip: when you load prescanned images into memory, Readiris sorts them automatically - image 001.tif precedes 002.tif precedes 003.tif etc.

Advanced features

To exclude a page from the recognition (or the printing of the images), click its page number in the document panel.

Tip: you can also select the page, right-click it in the page toolbar (Context menu) and use the commands Include Page and Exclude Page.

Tip: the thumbnails of excluded pages are stricken out!

Tip: the commands Include All Pages and Exclude All Pages from the Edit menu apply to all pages simultaneously!


Converting PDF Documents

Operation

Readiris allows you to “repurpose”, convert PDF files.

Convert image to text: you can open image-based PDF documents, execute the recognition and save the OCR result to a text document (in any supported text format). (Text files are editable, image files are not.)

Convert image PDFs to text PDFs: you can execute the recognition on image-based PDF files and save the OCR results... as text-based PDF documents! (Text-based PDF files are searchable and editable, “image-only” PDF files are not.)

“Unlock” PDF content: you can convert “read-only” PDF documents, where the text is normally inaccessible. With unprotected PDF files, the content can be retrieved (copied and saved to a text file), with “read-only” files, the content cannot be extracted. These documents can only be viewed and printed! After the file conversion by Readiris, the text can be accessed freely!

Warning: Readiris does not open password-protected PDF documents. (To be specific: “master passwords” that set the permissions of PDF documents don’t bother Readiris, “user passwords” required to open a PDF document do.) All other PDF security barriers are broken down by Readiris!

Warning: Readiris does not open PDF documents that contain JPEG 2000 compressed graphics.

How to...?

Proceed as usual: load PDF files into memory as you open prescanned images - faxes, snapshots made with your digital camera etc.

Tip: you can define the page range to convert, say, only a specific chapter of a book in PDF format!

Tip: you can click the Stop button and press Escape to interrupt the loading process between two pages.

Tip: you can open the PDF files as color and as black-and-white documents! (Opening color documents is much slower.)

Generating PDF documents

Readiris creates text, image and mixed PDF files, and it is crucial that one understands the differences between these file types!

PDF Text

  • Readiris recognizes the text and creates PDF documents that contain the text (and possibly graphic zones for photographs, artwork etc.).

  • The page image is not contained in the single-layered PDF files.

Tip: “text only” PDF files are much more compact than image files!

PDF Text-Image

  • Readiris recognizes the text and creates PDF documents that contain the page image and the recognized text.

  • The page image is contained in two-layered PDF files under the text.

Tip: the pixels of the recognized text are erased to create a legible document. (Displaying recognized text in, say, black on top of black character bitmaps would give you text with a heavy shadow...)

PDF Image-Text

  • Readiris recognizes the text and creates PDF documents that contain the page image and the recognized text.

  • The page image is contained in two-layered PDF files above the text.

PDF Image

  • Readiris creates PDF documents that contain the scanned image(s).

  • No text is available; Readiris did not execute OCR - but these image files can be converted into text afterwards!

Tip: “text only” PDF files are much more compact than image files!

Note: compression is used for all elements. Black-and-white images are Group 4 compressed TIFF files, greyscale and color images are JPEG files (with high (0.8) quality). Any text is compressed using the Gzip mode.

Tip: Readiris Corporate offers improved control over Adobe Acrobat PDF output. Influence the file size of your PDF documents by determining the color mode, image resolution, JPEG quality and the compression method of graphics saved inside PDF files - JPEG or JPEG 2000.

Tip: hyperlinks (web site URLs) show up as visible links in text-based PDF output!


How to OCR Images from Digital Cameras

Operation

Readiris opens black-and-white, greyscale and color images in the DCX fax (multipage version of the Paintbrush format), DjVu (*.djv, *.djvu), JPEG, JPEG 2000 (*.j2c, *.jp2), PNG, (compressed) TIFF, Windows bitmap (*.bmp) and ZSoft Paintbrush (*.pcx) formats, and opens Adobe Acrobat PDF documents. (The TIFF images can be uncompressed and LZW, PackBits, Group 3, Group 4 and JPEG compressed.)

How to…?

  • Select the disk as input source to open prescanned images. Proceed as usual.

  • Enable the option Digital Camera to make Readiris use special recognition routines optimized for the low-resolution images of digital cameras.

Good recognition requires an image resolution of 300 dpi. Digital cameras typically produce images with a significantly lower resolution - even when you hold the camera close to the document.

Tip: when you submit images with a resolution below 200 dpi to Readiris without enabling this option, Readiris issues a warning asking you to rescan the page.

  • Enable the option Process as 300 dpi to ensure that Readiris processes and formats low-resolution images normally, as if they had a 300 dpi resolution.

Capture tips

Your camera model determines which options are supported.

  • Select the highest image resolution. Create for instance 2,048 x 1,536 size images when 1,024 x 768 and 640 x 480 images are also supported.

  • Enable the “macro” mode of your camera to take closeups - which is always the case when you photograph documents. (This mode was designed to capture flowers, insects etc.) Otherwise, the images are unsharp and illegible.

  • Limit yourself to no or small compression - important compression reduces the sharpness of the captured text.

  • Hold the camera directly above the document to avoid capturing the document at an angle. However, avoid shadows cast on the document by the camera or your hand!

  • Produce stable images. Consider mounting your camera on a tripod when necessary.

  • Zoom manually to crop your document.

Some cameras are bundled with photo stitching software, but don’t bother using it for document capture.

  • Disable the flash when you’re filming glossy paper, otherwise the image may be too light.

  • Select a color mode: most digital cameras support greyscale and color images.

  • Adapt the brightness and contrast to the environment - day light, lamp light, neon light etc.

  • Calibrate the camera by filming a white document.


Font Type

  • Use the setting Automatic to have Readiris detect the printing quality for you. This mode supports all printing qualities - typeset, typewritten, laser printed, inkjet printed, letter quality dot matrix printing and draft dot matrix printing.

  • Use the setting Dot Matrix strictly for draft dot matrix printing: such texts require highly specialized segmentation and recognition techniques.

  • This command does not apply to Asian documents , Hebrew documents and handprinted text.

Tip: the tooltip of the Recognize-Save button indicates the reading mode. When no message is added, the “automatic” font type detection applies, when the message “Dot matrix” is added, the dot matrix reading mode is enabled.


Text Format

You can export the recognized documents in various text formats. Just change the formatting options and click the button Recognize-Save again to reformat your OCR results!

Output modes

  • Select an output mode: save the results to an external file (with a document format supported by your text application), place the results in the Windows clipboard or send the recognized document to a target application.

  • Readiris outputs to all major office suites, word processors and spreadsheets and to “poor” text formats that generate “plain text”. Readiris exports data directly to such applications as Microsoft Word and Excel, Adobe Reader, the major web browsers etc.

Tip: the option Open after Saving opens the recognized document once it’s saved. (The Windows file types determine which application will be started up.)

Tip: the option Send by E-mail creates a new mail message and inserts the recognized document as mail attachment!

Tip: the option Create One File per Page sees to it that each page of a multipage document is saved in a separate file. If the user gives the file name text.doc, the files will be called text-1.doc, text-2.doc etc. (This only works when you create an external file, not when you send the output directly to a target application.)

Tip: the option Create One File per Document saves separated documents, not complete batches (Readiris Corporate). (This only works when you create an external file, not when you send the output directly to a target application.)

Tip: Readiris also supports PDF image output!

Text formatting

  • The option Create Body Text avoids text formatting by Readiris.

You get a continuous, running text. All formatting, if any, is done afterwards by the user.

(Body text is what you get when you right-click the mouse (Context menu) and select the command Copy as Text to recognize the window under the mouse cursor.)

  • The option Retain Word and Paragraph Formatting takes an intermediate position between body text and “autoformatting”.

The font type (serif - sans serif, proportional - fixed, normal - condensed), size and typestyle (bold - italic - underlined - superscript - subscript) are maintained across the recognition.

The tabs and the alignment (left - centered - right - justified) of each block are recreated.

The text blocks and columns aren’t recreated - the paragraphs just follow each other.

The tables are recaptured correctly.

  • The option Recreate Source Document recreates a facsimile copy of the original document.

The text blocks, tables and graphics are recreated in the same place and the word and paragraph formatting are maintained across the recognition.

The bulleted and numbered lists are recreated.

You get a true copy of your source document, be it a compact and editable text file, no longer a scanned image of your document.

  • The option Use Columns instead of Frames determines how the “autoformatting” gets done: the text blocks, tables and graphics can be stored in frames or “flowing” columns (if any).

Columnized texts are easier to edit than documents containing several frames: the text flows naturally from one column to the next!

Tip: when the system is unable to detect columns in the source document, this formatting mode uses frames anyway as a “fallback” position!

  • The option Insert Column Breaks determines whether you insert “hard” column breaks at the end of each column.

Any text you edit, add or remove remains inside its column; no text ever flows automatically across a column break. All text that follows a column break is moved to the top of the next column!

Enable this option when you want to maintain column breaks where these were detected in the recognized document - whatever text editing gets done after the OCR.

Tip: in newspapers and magazines, the various columns on a page often correspond to different article “threads”. Having text flow from one column to the next “on the sly”, covertly may not be a good idea!

Tip: disable this option when you have columnized body text. You’ll ensure the natural flow of the text from one column to the next.

  • The option Add Image as Page Background places the scanned image as page background under the recognized text.

Warning: this option increases the file size of your HTML, RTF (“Rich Text Format”), Word and WordML documents substantially!

Tip: the pixels of the recognized text are erased to create a legible document. (Displaying recognized text in, say, black on top of black character bitmaps would give you text with a heavy shadow...)

Tip: the format PDF Text-Image gives you the same result for PDF files!

Tip: the option Retain Colors of Background provides a less drastic, more compact alternative!

  • Which formatting options are available depends on the selected output mode.

“Poor” text formats generating “plain” text (such as Text (ANSI)) do not support advanced formatting codes.

PDF documents by nature imply “autoformatting” etc.

Warning: WordPad is a “reduced” text editor, not a fully featured wordprocessor; WordPad may open Word (*.doc) and RTF (“Rich Text Format”) files but ignores most formatting codes such as columns, text frames, alignment etc.

Tip: Readiris detects any web page “URLs” and e-mail addresses in the scanned documents and recreates them as hyperlinks in the output!

Options

  • Merge Lines into Paragraphs enables the automatic paragraph detection.

This prevents the insertion of carriage returns (CR or EOL codes) at the end of each line, Readiris wordwraps the recognized text until a new paragraph starts, and “reglues” hyphenated words at the end of a line.

This option is not available for Adobe Acrobat files: PDF files always store text line by line.

  • Include Graphics includes the graphics in “autoformatted” text files.

  • Retain Colors of Text maintains the original colors of the text across the recognition.

  • Retain Colors of Background maintains the spot colors of the page background across the recognition.

You’ll get one uniform background color - if there is one in the source document - per paragraph in Word, RTF (“Rich Text Format”), WordML and HTML files.

This option also recreates inverted drop letters!

Tip: the option Add Image as Page Background offers a more drastic, less compact alternative!

Tip: retaining the colors of the background implies that you maintain the colors of the text simultaneously.

PDF options

  • Create Bookmarks creates bookmarks for the text windows, graphics and tables in Adobe Acrobat PDF files.

Tip: the Adobe Reader and Adobe Acrobat software can create thumbnails for your PDF documents dynamically!

  • Embed Fonts embeds the fonts in the Adobe Acrobat PDF files.

Embedding fonts prevents font substitution when readers view and print the recognized document. It ensures that readers - whatever their computer configuration may be - see the text in its original fonts.

Embedding the fonts increases the file size of the recognized documents (somewhat)!

Graphics - advanced options (Readiris Corporate)

These settings apply to all graphics - the graphic zones included in recognized documents and the page image you include in an image-based Adobe Acrobat PDF file! Use these options to influence the file size of your output documents.

  • Determine the color mode: save your graphics in color-greyscale or as black-and-white images.

  • Select the resolution of the images in the recognized documents: maintain the scan resolution or reduce it. (You cannot increase the resolution in this way!)

Tip: the option Use Screen Resolution exclusively applies to HTML files! It reduces the resolution of the images by default to the screen resolution (70 dpi). Fill out a higher resolution manually (with the option Reduce Resolution) to increase the output resolution!

  • Select the compression method for graphics inside PDF files - JPEG or JPEG 2000. (JPEG 2000 is the newest and more compact version of the JPEG standard.)

  • Select the JPEG quality: JPEG images are used to store color and greyscale graphics in PDF documents, Word and RTF documents etc.

Note: by default, PDF documents store black-and-white images as Group 4 compressed TIFF files, and store greyscale and color images as JPEG files with high (0.8) quality.

Tip: reduce the images to screen resolution (70 dpi) when the recognized HTML documents are posted on a web site!

Preferred paper sizes

  • You can select preferred paper sizes for the output documents.

Example 1: you’re scanning A4 pages but you create Letter output because that format is easier to print, whereas A4 output requires a manual feed.

Example 2: you’re an attorney. You scan Letter documents that you save in the Legal format.

  • Select the applicable and excluded paper sizes: the applicable paper sizes can be used to format the recognized documents, the excluded formats won’t be used.

  • Sort the applicable paper sizes: Readiris goes through the active paper sizes in the indicated order and uses the first paper size that is sufficiently large to hold the scanned document.

  • The button Default re-applies the default settings. (These take your Windows settings into account!)

Warning: this option does not apply to HTML files - a text format designed for the Internet that doesn’t have any page formats! Nor does it apply to PDF files, which apply a custom fit to recreate the source document accurately.

Table recognition - spreadsheets

Readiris outputs tabular data to spreadsheets, word processors and web browsers: tables gets reconstructed cell by cell in worksheets and inserted as table objects in word processor files.

  • Tables can be sent to the spreadsheet Microsoft Excel and the word processor Microsoft Word, can be sent to the clipboard, saved inside a Word (*.doc), RTF (“Rich Text Format”) and HTML file, and saved using a table format.

  • Retain the word and paragraph formatting or recreate the source document.


Language

  • Readiris recognizes all American and European languages, including the Baltic, Central-European languages, Greek and the Cyrillic (“Russian”) languages.

  • Optionally, you can read the Asian languages Japanese, Simplified Chinese, Traditional Chinese and Korean.

  • Optionally, you can read Hebrew documents.

  • The list of recognized characters varies according to the selected document language.

  • Readiris can switch languages in the middle of a sentence without any help from the user!

When Western words pop up in Greek, Cyrillic, Hebrew or Asian documents - many untranscribable proper names, brand names etc. are written using the familiar Western symbols -, Readiris can switch to the correct alphabet automatically. You can activate a mixed alphabet of Greek, Cyrillic (“Russian”), Hebrew or Asian and Western characters!

  • Recognition is assisted by linguistic databases. Readiris extensively uses linguistic information to validate good solutions and mark suspicious ones.

Tip: Readiris Corporate allows you to create user lexicons that boost the OCR accuracy further!

How to...?

  • Limit recognition to a numeric character set to optimally OCR tables of figures.

The symbols “0” to “9”, “+”, “*”, “/”, “%”, “,”, “.”, “(”, “)”, “-”, “=”, “$”, “£”, “¥” and the “€” symbol will be recognized.

Do not select this option when your tables contain text!

  • When you select Cyrillic-English, Greek-English, Hebrew or an Asian language, a mixed character set is used. Readiris copes beautifully with “Western” words (proper names etc.) as occur in Russian, Greek, Hebrew and Asian documents.

Tip: select the document language before executing the page analysis when you are dealing with Asian and Hebrew documents. Specific page analysis routines are used for these documents.

Tip: if you forgot to select the proper language, select it afterwards. Readiris re-executes the page analysis automatically!

Advanced features

You can select a primary language and (up to 4) secondary languages (of the same language group).

To read documents where the French translation occurs alongside an English text, select French as main language and English as secondary language to ensure that the accentuated characters - such as “ç”, “é” and “ù” - get recognized correctly.

Both lexicons will provide linguistic “feedback” to the OCR process. And this allows Readiris to “auto-detect” which language is used where in your document!

Tip: don’t activate languages that don’t apply. The bigger the character set, the slower the recognition and the bigger the risk for OCR errors!

Tip: the tooltip of the Language button enumerates the selected language(s).

Tip: Readiris Corporate “boosts” the OCR accuracy further by loading user lexicons that reflect your company’s activity.


Learning Fonts

If Readiris is unsure about a reading result, the doubtful character (or character string) is displayed with its parent word and the proposed solution is presented.

Verify (in the window title) if the correct font dictionary and dictionary mode are enabled - click the button Abort and start again if this is not the case.

Don’t confuse font dictionaries with ( user ) lexicons! Font dictionaries contain learnt character shapes, (user) lexicons are linguistic databases that assist the recognition.

Enter the valid character (or character string) if necessary and select one of the following buttons.

Learn

You agree with or correct the proposed solution. Readiris saves the solution in the dictionary as sure. Future recognition will no longer require your intervention.

Don’t Learn

You agree with or correct the proposed solution. Readiris saves the solution in the dictionary as unsure. Future recognition will still require your intervention.

Use this command for damaged characters which could be confused with other characters if learned. A typical example is the number '1’ and the letter “l”, which have an identical form in many fonts.

Delete

Deletes characters from the output. Use this button to prevent noise on your document from appearing in the output file as periods, commas etc.

Undo

You go back, correct mistakes. Readiris keeps track of the 32 last operations.

Finish

Aborts the learning phase, Readiris runs automatically thereafter. You accept every solution of the software.

Abort

Aborts the OCR. This option is used when an incorrect font dictionary or dictionary mode are enabled. All results are deleted and you start over again. (Don’t confuse with Finish, where the recognition results are maintained!)


Document Panel

Operation

The document panel displays statistics and information on all scanned pages - the image source and resolution, the scanning and recognition time (excluding the interactive learning) etc.

Tip: hold your mouse cursor over a page icon in the page toolbar to display the same information in a tooltip.

Tip: the Info command displays the same information.

Tip: the document panel has diagnostic value. Readiris marks images that were scanned at a too low resolution!

How to...?

  • Click a row in the document panel to select the corresponding page.

Tip: you can also click a page in the page toolbar to select it. (Or hold your cursor over its icon in the page toolbar, right-click it (Context menu) and use the command Select Page.)

  • To delete a page from the document, select it in the document panel and press the Del key.

Tip: you can also select a page in the page toolbar, right-click it (Context menu) and select the command Delete Page.

  • Click the page number to include and exclude that page from recognition and printing.

Tip: (temporarily) excluded pages are stricken out in the page toolbar!

Tip: you can also right-click a page in the page toolbar (Context menu) to include and exclude it.

  • Drag the column resizing cursor to change the size of a column. (You cannot change the order of the columns.)

Tip: when the column is too short to display the data, hold your mouse cursor over it. A tooltip will display the full data!


User Lexicons

Operation

  • Recognition is assisted by linguistic databases for all supported languages. Readiris extensively uses linguistic information to validate good solutions and mark suspicious ones.

Don’t confuse (user) lexicons with font dictionaries! (User) lexicons are linguistic databases that assist the recognition, font dictionaries contain character shapes learnt during the interactive OCR phase.

  • As powerful as these standard lexicons may be, users can “boost” the OCR accuracy further by loading user lexicons.

User lexicons are word lists containing any term that does not occur in the “basic”, general purpose lexicons. Think for instance of technical, scientific, legal or other company-specific terms.

  • User lexicons only take effect when the symbols they contain are covered by the selected OCR language(s).

Example 1: the OCR language is English. My user lexicon contains American city names such as “Poughkeepsie” and “Massapequa”. The OCR process makes good use of the user lexicon.

Example 2: the OCR language is English. My user lexicon contains French proper names such as “Auxerres”, “François” and “Véllères”. The OCR process only uses a portion of the user lexicon. Words that contain symbols not covered by the English character set get ignored: “Auxerres” will be used, “François” and “Véllères” will not be used by the OCR process.

Example 3: the OCR language is English. My user lexicon contains Russian terms. The OCR process will ignore the user lexicon altogether: the English character set does not include the “Cyrillic” alphabet.

Tip: Readiris Corporate allows you to activate multiple languages simultaneously!

How to...?

Readiris Corporate is equipped with the utility User Lexicon Editor. It allows you to create and maintain user lexicons.

Tip: the tooltip of the Language button indicates the active user lexicon.


Options Button

The Options button gives quick access to these system options.

Page analysis

Readiris can decompose the page automatically.

Page deskewing

Readiris can straighten pages that were scanned at an angle automatically.

Detection of the page orientation

Readiris can detect the page orientation automatically and rotate images when needed.


Recognize-Save

Operation

  • Starts the character recognition and saves the reading results.

  • Click the Stop button (or press Escape) to interrupt.

  • If learning is enabled, you’ll enter the interactive phase.

Learning does not apply to Hebrew and Asian documents or to the recognition of handprinted text.

Nor does it apply to batch OCR and a watched folder .

  • Send the recognized text to a target application, copy it to the clipboard or save it in a text file.

You can export the recognized documents in various text formats. Just change the formatting options and click the button Recognize-Save again to reformat your OCR results!

  • If you have enabled autoformatting with the option Recreate Source Document, the graphic windows may be saved inside the word processor file. Otherwise, use the command Save Graphics to save the graphic zones only.

  • If the page analysis detected tables and the word and paragraph formatting are retained or the source document is recreated, they get recreated as table objects inside the word processor file.

Tip: right-click the mouse (Context menu) and select the command Copy as Text to recognize the window under the mouse cursor. (The OCR results get sent to the clipboard as “ body text ” . The regular OCR options - the current document language, font type etc. - apply.)

Tip: when you re-execute the OCR, only the new or modified windows and pages get recognized.

Recognizing multipage documents

  • The pages are displayed successively; the title bar indicates the page number.

  • If the interactive learning is enabled, you go through the learning page by page.

The dictionary mode “New” is used for the first page and the mode “Append” for the successive pages.

  • The recognition result is saved in a single output file.

If you send the recognition result to a target application, various pages are created.

Tip: the option Create One File per Page sees to it that each page of a multipage document is saved in a separate file. If the user gives the file name text.doc, the files will be called text-1.doc, text-2.doc etc.

Tip: Readiris Corporate processes document batches intelligently. Readiris detects blank pages to segment a batch into separate documents and reads bar codes automatically to index and name the documents.

Tip: the option Create One File per Document saves separated documents, not complete batches.

Tip: you can exclude pages (temporarily) from the recognition (and from the image printing process).


Interactive Learning

  • Enables the learning phase, where Readiris acquires new font information.

  • Disable learning when the recognition rate is excellent.

Tip: learning is always disabled when Asian and Hebrew documents are read.

Tip: learning does not apply to handprinted text.

Tip: learning is always disabled when batch OCR gets executed and when a watched folder is supervised.


Sort

Sorting windows

  • Numbers indicate the sort order of the windows.

  • Sorting is very useful to correct the results of the page analysis.

  • Click inside the windows you want to capture to define their sequence.

The selected windows have their full color. Non-selected windows have a lighter color tone and have no number.

  • The windows you don’t click on won’t be recognized!

Tip: you can force the system to (re-)execute page decomposition with the command Analyze Page.

Tip: the command Delete Small Windows deletes all windows with a side smaller than 0.5” and re-sorts the remaining zones.

Page analysis with manual windowing

  • Apply page analysis to detect the windows and sort the ones you want to include.

  • Start drawing windows manually - all windows you didn’t select are erased.

Tip: you can display the sort order, type and coordinates of a window by pressing the Alt key while you select it!


View Menu

Is available only when an image is displayed on-screen.

Zoom levels

Zoom levels are useful to verify the scanning quality and to window the scanned image comfortably.

  • Fit to Window displays the document entirely. You see the various zones - text blocks, graphics etc. - in relation to each other.

  • Fit to Width displays the entire width of the document.

  • 50% Actual Size, Actual Size and 200% Actual Size display the document at its real size, at half size and at double that size. At actual size, a screen pixel corresponds to an image pixel.

Tip: toggle between Actual Size and Fit to Window by double-clicking the right mouse button.

Tip: all zoom levels are available by right-clicking the mouse (Context menu).

Tip: use the magnifying glass to zoom in on details of the scanned document. (The magnifying glass is also available when you right-click the mouse (Context menu).)

Rotation

Rotate Left, Rotate Right and Turn Upside Down rotate the document 90° to the left, 90° to the right and 180°.

Tip: Readiris can detect the page orientation for you!

Tip: Readiris indicates in the page toolbar which pages were rotated automatically (but not which pages were rotated manually by the user)!

Tip: the page analysis is re-executed when you rotate an image!

Displaying documents in color

This option determines whether you display the images in greyscale-color or in black-and-white.

Readiris uses a specialized high-resolution display technique to make the images optimally legible on-screen. There’s no need to zoom in, even on laptops with an LCD screen or desktop computers with a low-end 15” screen!

Black-and-white images get converted into greyscale images.

Greyscale and color images are softened, smoothened.

Tip: zoom in at real size (or higher) to see the “raw” image as it was scanned!

First Page - Last Page

You go to the first and last page inside a multipage document.

Tip: press Home and End!

Previous Page - Next Page

You go to the previous and next page inside a multipage document.

Tip: press PageUp and PageDown!

Coordinates

Minor diagnostic option. Displays the coordinates of the mouse cursor in document pixels.

Tip: the document panel displays the height and width (in pixels) of the scanned images.

Tip: the command Info displays the same information.

Tip: hold your mouse cursor over a page icon in the page toolbar to display a tooltip. It displays the same information.


New Document

This command “cleans the slate”.

When a multipage document was loaded into memory, all images are erased from memory.

You are now ready to create a new (multipage) document.


File Menu

Allows to save and retrieve Readiris settings and windowing layouts and opens and saves images.

New Document

You create a new (multipage) document.

Open

Opens black-and-white, greyscale and color images, mostly faxes.

Tip: right-click images (Context menu) in the Windows Explorer and select the command Recognize.

Tip: drag images from the Windows Explorer onto the Readiris window or the Readiris icon.

Tip: don’t forget to enable the option Digital Camera when the images were produced by a digital camera!

Tip: the option Process as 300 dpi ignores the incorrect resolution contained in the image’s file header. (Some image files indicate an erroneous resolution in the file header that perturbs the recognition and “autoformatting”.) These images will be processed “normally”, as if they had a 300 dpi resolution.

Save Graphics

Saves the graphic windows.

Save Full Page as Image

Saves the entire page as a graphic for deferred OCR.

Save All Pages as Image

Saves all pages of the document in a multipage image file for deferred OCR.

Print Images

Prints the scanned images.

Batch OCR

Executes the recognition on the prescanned images in a specific folder.

Watched Folder

Systematically executes the recognition on all image files that get dropped in the “ watched” folder.

Info

Displays the current Readiris settings.

Displays statistics and information on all scanned pages - the image source and resolution, the scanning and recognition time (excluding the interactive learning) etc.

Tip: (temporarily) excluded pages have a red page number.

Select Source

Selects and sets a scanner input source. Twain scanner standard feature.

Acquire

Acquires an image. Twain scanner standard feature.

Load Layout

Retrieves a windows layout.

Save Layout

Saves a windowing layout as drawn on an image.

Load Settings

Recovers a Readiris configuration.

Save Settings

Saves the Readiris settings.

Save Default Settings

Saves the current Readiris settings as default for the next startup.

Exit

Quits the Readiris software.


Layouts

Operation

  • Layout files contain predefined windowing structures.

Zoning templates are particularly useful when documents with a similar page layout are OCRed: to recognize a 50 page report where the header and footer should be excluded for obvious reasons, a single template can be applied to zone all 50 pages.

  • Using layouts is an alternative to page analysis and manual windowing.

Tip: the page analysis tool Ignore Exterior Zone is often a highly effective alternative to using layouts. It limits the page decomposition to the “cropped” portion of the image; you can exclude the same outer zone from page analysis on every page of the document.

How to…?

  • Layouts as defined on a scanned document are saved with the command Save Layout.

  • Layouts are loaded with the command Load Layout.

Loading a layout into memory disables the page analysis.

The layout remains activated until you re-enable the page analysis.

When you’re loading a layout into memory, you can enable the option Apply Layout to All Pages to apply it promptly to all pages of the current document.


Settings

Settings determine all operational parameters of Readiris: document language, scanner model and settings, output mode and formatting options etc.

How to…?

  • As settings don’t change at every turn, they can be stored as default settings with the command Save Default Settings.

  • Settings are saved with the command Save Settings.

  • Settings are loaded with the command Load Settings.


Edit Menu

Operation

  • Most commands concern the (text, graphic, table etc.) windows. You can delete, cut, copy and paste zones! Handy shortcut keys are available for these commands.

  • Some commands concern the composition of multipage documents. You can delete pages from and move pages inside multipage documents. (Tip: you can (temporarily) exclude specific-all pages from the recognition (and printing)!)

Selecting windows

  • To select a window, choose the arrow tool and click inside a window. Markers appear at each corner and in the middle of the window sides.

  • To select additional windows, hold down the Shift key while you click inside the window. To select a window and the included windows (of another type), hold down the Ctrl key while clicking inside the main window.

  • Select the command Select All to select all windows.

  • To unselect windows, click the mouse button elsewhere.

How to…?

  • Select the command Copy to copy the selected window(s) into an internal buffer.

  • Select the command Paste to paste the contents of the internal buffer. The windows are inserted in their original location. Drag them to another location.

  • Select the command Cut to cut the selected window(s) to an internal buffer.

  • Select the command Clear to delete the selected window(s) irretrievably.

  • Select the command Select All to select all windows.

  • Select the command Undo to cancel the previous command.

Tip: right-click the mouse (Context menu) and select the command Delete Window to delete all selected windows and the window under the mouse cursor.

Tip: when the windows are sorted, the zones get re-sorted after each zone deletion!

Tip: the command Delete Small Windows deletes all windows with a side smaller than 0.5” and re-sorts the remaining zones.

Tip: right-click the mouse (Context menu) and select the command Undo to cancel the previous command.


Delete Small Windows

Operation

Deleting all small windows is useful to erase small dots, black page borders etc. that got picked up by the page analysis.

Tip: with the option Do Not Detect Windows on Page Borders, the page analysis ignores any zones that touch the page borders. When your scanner generates black borders around the actual image, the page analysis tends to find zones where there’s only “noise”. (Graphic zones on page borders are left untouched - photos often touch the page border, background graphics in most cases cover the entire page etc.)

How to...?

This option erases all windows with a side smaller than 0.5” and re-sorts the remaining zones.

Tip: use the command Undo to cancel the operation or click the Analyze Page button to re-execute the page analysis.


Character Pitch

  • Select the fixed pitch if the characters have the same width.

  • Select the proportional pitch if the width of the letters depends on their shape.

  • This command does not apply to Asian documents.

Tip: select Automatic to have Readiris detect the character pitch for you.


Detect Page Orientation

Operation

Readiris can detect the page orientation automatically and rotate the image when needed.

An example: you’re scanning a document where most pages have the portrait orientation but some are landscape because they contain large tables.

How to...?

This option determines whether pages which were scanned at a 90°, 180° or 270° angle will be rotated left, right or turned upside down automatically before the page analysis and recognition begin.

Tip: select the proper document language before you scan (or load) the document!

Tip: detecting the page orientation takes a few seconds. Leave this option disabled when you are sure no image rotation is required.

Tip: the page deskewing (if enabled) takes place before the detection of the page orientation.

Tip: the document panel indicates which pages were rotated (and deskewed) automatically.

Tip: hold your cursor over a page’s thumbnail in the page toolbar and a tooltip will tell you if the page was rotated automatically.


Enable Wizard on Startup

Operation

  • When this option is enabled, the OCR wizard starts running each time you start up Readiris.

  • The OCR wizard offers a semi-automatic way of recognizing pages: it guides you through the OCR process comfortably. Answer a few simple questions and you’ll obtain quick and easy results.

How to…?

  • This option is enabled by default.

  • The option Enable Wizard on Startup in the first screen of the wizard has the same effect.


Adjust Image

Operation

Intelligent binarization routines automatically convert color and greyscale images into black-and-white, but you can optimize the images for the OCR process.

How to...?

  • Any image you adjust is displayed in black-and-white. Quit this command and the image is redisplayed in color or greyscale.

  • Click Apply to see the effect of your changes; click OK when the results are satisfactory.

Tip: use the option Display Document in Color to toggle between the color or greyscale and black-and-white version of your images.

Smoothen color image

Renders greyscale and color images more homogeneous by “flattening”, smoothing out relative differences in intensity. As a result, a stronger contrast is created between the foreground (text) and background (artwork).

Warning: with some scanner models, this reduction of the sharpness is needed to recognize color and greyscale images. Smoothening is sometimes the only way separate text from the colored background!

Tip: the image smoothening can also be enabled when you load prescanned images into memory!

Brightness

This setting determines the overall brightness of the image. Any darkening or lightening of the image applies to all pixels. The objective is to rid yourself of the page background.

Example 1: lighten an image where every zone is dark; as you eliminate the page background, the text becomes legible.

(Color image)

(Default binarization yields a black image)

(Lightened image)

Example 2: darken the image when it is so light even the text doesn’t show up in the binarized image! The text becomes legible as you darken the image.

(Color image)

(Default brightness yields character fragments)

(Darkened image)

Contrast

This setting determines the local contrast between the darker and lighter zones of the image.

(The text is usually darker than the background - the reverse is true when you’re dealing with inverted text.)

The objective is to make the character shapes stand out nicely against their (colored) background.

(Color image)

(Default contrast yields broken characters)

(Increased contrast)

Despeckle

Removes the small spots (“parasite” pixels or “salt and pepper noise”) from black-and-white images.


Font Dictionary

Operation

Font dictionaries contain font information the system learns during the interactive learning.

Don’t confuse font dictionaries with (user) lexicons! Font dictionaries contain learnt character shapes, (user) lexicons are linguistic databases that assist the recognition.

When you recognize many documents of the same type, you may not want to repeat the same learning process every time. Store the learnt characters in a dictionary and use that information when you recognize documents of the same type.

How to...?

  • Select or define a font dictionary.

  • Don’t forget to set the appropriate dictionary mode: New Dictionary creates a new dictionary, you start without any previous knowledge. Append Dictionary uses the previously learnt font information and completes it. Read Dictionary uses the previously learnt font information but does not complete it further.

Tip: if you have only one page to be recognized, select the new mode. If you have many pages of the same type - pages with the same font and printing quality - select the new mode for the first page, the append mode for a few pages more and the read mode for the rest of your document(s).

Tip: with multipage documents, the dictionary mode “new” is used for the first page and the “append” mode for the successive pages.


New, Append or Read Dictionary

Select the appropriate mode for the font dictionary:

  • New Dictionary creates a new dictionary. You start without any previous knowledge.

  • Append Dictionary uses the previously learnt font information and completes it.

  • Read Dictionary uses the previously learnt font information but does not complete it further.

Tip: if you have only one page to be recognized, select the new mode. If you have many pages of the same type - pages with the same font and printing quality - select the new mode for the first page, the append mode for a few pages more and the read mode for the rest of your document(s).

Tip: with multipage documents, the dictionary mode “new” is used for the first page and the “append” mode for the successive pages.


Register Your Readiris License

Why you should register

  • Registering allows us to keep you informed of future product developments and related I.R.I.S. products.

  • Registering entitles you to free product support and special offers.

  • Depending on the software bundle, you’ll receive the softkey in return as may be needed to continue using Readiris after one month.

How to...?

Mail

Send in your registration card.

Fax

If you lost your registration card, or if the software documentation was supplied in electronic form only, print the Readiris registration form and send or fax it to I.R.I.S.

Europe: 32-10-45 34 43

USA: 1-561-921-0854

Telephone

Telephone I.R.I.S. during the business hours.

Europe: 32-10-45 13 64 (all major languages)

USA: 1-561-921-0847 / 800-447-4744


Help Menu

Help Topics

Provides general information on OCR and reference information on Readiris.

Product Support

Informs you about the product support offered by I.R.I.S.

Contact I.R.I.S.

Gives the coordinates of the I.R.I.S. offices.

I.R.I.S. on the Internet

Click here to access the I.R.I.S. home page.

About Readiris

Displays the Readiris startup screen with the copyright notices. Click to make it disappear.


How to Get Product Support

Free technical support is offered to all registered customers. (Registering also entitles you to special offers.)

Europe

Hotline: 32-10-45 13 64 (working hours) (all major languages)

Fax: 32-10-45 34 43

USA

Hotline: 1-561-921-0847 / 800-447-4744 (working hours)

Fax: 1-561-921-0854

WWW

www.irislink.com/support.html (troubleshooting info)

Click here to access the troubleshooting info.

E-mail

support@irislink.com, support@irisusa.com


How to Get in Touch with I.R.I.S.

Head Office (Belgium)

Phone: 32-10-45 13 64

Fax: 32-10-45 34 43

I.R.I.S. on the Internet

I.R.I.S. home page: http://www.irislink.com

Readiris web site: http://www.readiris.com

On-line shop: http://shop.irislink.com

E-mail info: info@irislink.com

E-mail sales: sales@irislink.com

E-mail support: support@irislink.com, support@irisusa.com

USA Office

Phone: 1-561-921-0847 / 800-447-4744

Fax: 1-561-921-0854


Software Versions

Readiris “Pro”

Readiris Pro offers OCR in all 117 supported languages with the exception of the Asian languages (Japanese, Korean, Simplified and Traditional Chinese) and Hebrew.

Tip: you can acquire the software option “ Asian OCR add-on ”.

Tip: you can upgrade to Readiris Corporate.

Readiris “Corporate”

This special version for the corporate market combines the “Pro” package with extra features:

  • Readiris supports high-speed and duplex scanners.

  • Readiris offers batch OCR: you execute the recognition on all prescanned images in a specific folder.

You can scan by day and read by night... Acquire all documents to be recognized; when you’re done, run the batch OCR and leave your PC to it. When you return the next day, all documents have been recognized!

  • Readiris supports a watched folder: you execute the recognition on all image files that get dropped in the “ watched” folder.

You can leave the OCR “server” running day after day... Acquire new documents each day and they will be recognized promptly.

  • Readiris processes document batches intelligently: Readiris detects blank pages to segment a batch into separate documents and reads bar codes automatically to index and name the documents.

  • Readiris offers improved control over the Adobe Acrobat PDF output: influence the file size directly by determining the color mode and image resolution. Readiris Corporate also supports JPEG 2000 compression for all images stored inside PDF files.

  • Readiris is not limited to multipage documents of 50 pages.

  • Readiris includes the BCR functionality (“ Business Card Reading ”).

Scan your business cards, recognize them and convert them into an address database.

OCR allows to encode calling cards without the time-consuming task of retyping them. Think of your last exhibition when you came back with an entire stack of business cards and it took your secretary two days to encode them!

  • Readiris activates secondary languages alongside the “main” language. You can read documents that mix several languages and alphabets!

  • Readiris “boosts” the OCR accuracy further by loading user lexicons that reflect your company’s activity.

  • Readiris offers advanced options for the saving of graphics. For one, Readiris saves graphics in the JPEG 2000 format!

  • Readiris includes the scanned image in the recognized document as page background.

Tip: the software option “ Asian OCR add-on ” and the hardware option IBCR-II, a dedicated business card scanner, can be acquired.

Tip: the BCR functionality can be extended further with the module “ Asian BCR add-on ”!

Acquiring options

Contact I.R.I.S. to obtain these software and hardware options.


Software Options Asian OCR 'Add-on' and Hebrew OCR 'Add-on'

Software Options Asian OCR “Add-on” and Hebrew OCR “Add-on”

Reading Asian documents

The software option “Asian OCR Add-on” offers recognition of the Asian languages Japanese, Simplified Chinese, Traditional Chinese and Korean.

(Do not confuse the “Asian OCR add-on” with the software option “Asian BCR add-on”!)

Tip: a large number of Asian languages such as Malay, Tagalog etc. are supported by the “standard” Readiris software because they use the Latin alphabet!

Reading Hebrew documents

The software option “Hebrew OCR Add-on” offers recognition of the Hebrew language.

What it takes - the working environment for Asian documents

  • To view and edit Asian documents, you can use Word 2003 (Office 2003 System), Word 2002 (Office XP) or Word 2000 (Office 2000) or install a localized Asian version of the Windows operating system.

  • To view and edit Asian PDF documents, you can use an Asian version of the Adobe Reader software. Tip: the Asian versions of Adobe Reader can be found on the Readiris CD-ROM.

What it takes - the working environment for Hebrew documents

  • To view and edit Hebrew documents, you can use Word 2003 (Office 2003 System), Word 2002 (Office XP) or Word 2000 (Office 2000) or install a localized Hebrew version of the Windows operating system.

  • To view and edit Hebrew PDF documents, you can use a Hebrew or Middle-Eastern version of the Adobe Reader software. Tip: these versions of Adobe Reader can be found on the Readiris CD-ROM.

Who applies?

Install these software options “above” your Readiris Pro or your Readiris Corporate software.

Acquiring it

Contact I.R.I.S. to obtain these software options.


A Word about the Asian Languages

Software option - character sets

  • Readiris optionally offers recognition of four Asian languages: Japanese, Simplified and Traditional Chinese and Korean.

  • Contrary to the Latin, Greek and Cyrillic alphabets, these languages use small icons (“ideograms”), not letters, to represent reality.

(Simplified and Traditional) Chinese

  • Chinese script is derived from picture writing. It is written with thousands of distinctive characters called “ideograms” or “pictograms” which have no relation to the sound of a word.

  • The earliest Chinese characters were pictographs, such as a crescent for the moon, or a circle with a dot in the center to represent the sun. Gradually these gave way to non-pictorial ideograms which, in addition to standing for tangible objects, also represented abstract concepts.

  • The majority of Chinese characters consist of two elements: a “signific”, which indicates the meaning of a word, and a “phonetic”, which indicates the sound.

  • In a large dictionary there are 40,000 to 50,000 characters (many of which are archaic or obscure), while the telegraphic code book contains nearly 10,000 symbols. Some 3,000 symbols are used on a daily basis.

  • Simplified Chinese is a simplified version of the “traditional” Chinese; the 500 most common symbols were simplified. Simplified Chinese is used on China’s mainland and in Singapore, Traditional Chinese is used by Hong Kong, Taiwan, Macau and the overseas Chinese communities.

  • Every character has exactly the same amount of space, no matter what its shape may be. There are no spaces between characters; the characters which make up multi-syllable words are not grouped together. When reading Chinese, you have to work out which characters belong together!

  • Chinese can be written vertically and from right to left or horizontally from left to right.

Japanese

  • The Japanese writing system actually uses a mix of alphabets: the phonetic character sets are called Hiragana and Katakana, and the ideograms, Chinese in origin, are called Kanji. In normal Japanese writing, Hiragana and Kanji are used, while Katakana is used for words borrowed from the (non-Chinese) foreign languages.

  • An educated person can read about 10,000 Kanji symbols; the government has published a list of some 2,000 that it considers basic.

  • Japanese is generally written vertically and from right to left, but many texts today are written horizontally to permit the inclusion of English words, Arabic numerals and mathematical and chemical formulas.

Korean

  • Korean is not related to Chinese, although it has used the Chinese characters, together with the Korean alphabet, for many centuries.

  • The Korean alphabet (“Hangul” script), invented in the years 1443-46, is the only true alphabet native to the Far East.


A Word about the Hebrew Language

Readiris optionally offers recognition of the Hebrew language.

Hebrew

  • The Hebrew alphabet supports a limited set of 27 symbols.

The symbol set is composed of consonants: the vowels are not usually written (except in the Bible, poetry and books for children and foreign learners).

All the letters are uppercase - there are no lowercase letters in Hebrew!

There are no separate numerals in Hebrew - the standard Western numerals (1, 2, 3 etc.) are used instead.

  • Hebrew text is not written on lines: the text rather “hangs” from a line above the letters.

  • Hebrew is written from right to left, just like Arabic. However, numbers are written from left to right, and so are embedded phrases in Latin script!


Readiris Registration Form

Readiris Corporate Registration Form

Software version

Serial number license

Identification number license

Company

Name

Department

Title

Address

Zip Code / City

State / Country

Telephone

Fax

E-mail

Place of purchase

Purchase date

Date

Image Recognition Integrated Systems

Product Registration

Rue du Bosquet 10, 1348 Louvain-la-Neuve (Belgium)

Tel: 32-10-45 13 64 - Fax: 32-10-45 34 43

4731 West Atlantic Avenue Suite B1-B2

Delray Beach, FL 33445 (USA)

Tel: 1-561-921-0847 / 800-447-4744 - Fax: 1-561-921-0854

Support: support@irislink.com, support@irisusa.com


.topic 0x10000000
 brightness   The balance of light and dark colors in an image. Scanner function to lighten and darken the image data.
.topic 0x10000002
 compression   Reduction of the amount of storage space required to save an image. Compressed images are saved more efficiently, resulting in smaller files. For some file formats (such as JPEG), compression also results in loss of image quality. Compressed images take longer to open because they must be decompressed first.
.topic 0x10000003
 contrast   The relative difference between the dark and light portions of an image. Scanner function or button to lighten and darken the image data.
.topic 0x10000006
 dpi   Short for "dots per inch". Unit of measure that indicates the image resolution in number of dots per linear inch. The higher the value, the higher the resolution.
.topic 0x10000008
 image   The bitmapped result of scanning a document. Using hardware, the document is converted into a collection of dots stored in a file that can be processed by the computer.
.topic 0x10000009
 kerning   In printed texts, some letter pairs have more space between them than others because of their shape and slate. Pair kerning automatically reduces the space between such letter pairs to enhance their appearance. Otherwise, they would be spaced too close or too far apart to be aesthetically pleasing.       While the first "WA" and "LT" are non-kerned letter pairs, the second "WA" and "LT" are clearly kerned.
.topic 0x1000000b
 marker   Small rectangle at the window corners and in the middle of the window sides. Markers indicate that the window is selected.
.topic 0x1000000d
 pixel   Short for "picture element". The smallest distinguishable square dot to compose a bitmapped picture. The higher the resolution, the smaller the pixels.
.topic 0x10000011
 resolution   A measure of the fineness of detail that the scanner produces. The number of pixels of an image file is expressed in dots per linear inch. The higher the resolution, the sharper the image.
.topic 0x10000012
 scanner   Electronic input device designed to digitize images. Converts physical pictures into bitmapped graphic files that can be processed by a computer.
.topic 0x10000013
 scanner standard   International communication protocol used by several scanner manufacturers to standardize interfacing between software and scanner. Twain is a major example.


Useful Commands Adobe Acrobat - Adobe Reader

Toolbar - Select Text

This command selects text on-screen. You can then execute “copy and paste” operations to transfer text bits to other applications.

Alternative: use the command Save As under the File menu of the Adobe Acrobat software to save the text from text-based PDF files to a text file (in the Word, RTF, HTML or Text format).

Toolbar / Tools menu - Advanced Editing - TouchUp Text

  • This command allows to “touch up” the text held in PDF files.

  • Use it to correct small recognition errors that occurred because of a very low document quality.

File menu - Save As

This command allows you to save the text from text-based PDF files to a text file (in the Word, RTF, HTML or Text format).

Alternative: select text on-screen with the Select Text tool on the toolbar of the Adobe Acrobat software and execute “copy and paste” operations.

Toolbar / Edit menu - Search

The Search command finds complete words or word parts in the current PDF document or in all PDF documents in a folder. Acrobat then looks for the word by sequentially reading every word on every page in the file(s).

The Search command also allows you to perform advanced and fast searching on a collection of indexed PDF documents.

  • Search for a simple word or phrase

  • Expand your search query by using wildcard characters and Boolean operators

  • Use the search options to refine your search further

Warning: index-based searching implies that the “full-text” index was created for a collection of PDF files (with the command Catalog of the Adobe Acrobat software). A “full-text” index is an alphabetized list of every word used in a document or a series of documents.

Advantage: index-based searching is much faster than sequential reading. Acrobat goes right to the word in the list rather than progressively reading through the documents.

How it works: refer to the documentation that came with your Adobe Reader or Adobe Acrobat software to learn how searching works.


Dot Matrix Printing

With “draft dot matrix printing”, texts are printed on a matrix printer and you can still distinguish the individual dots that compose a symbol. Also called “9 pin” dot matrix.

With “letter quality dot matrix printing”, you can no longer distinguish the individual dots that compose a symbol. The printing quality approaches the quality of a laser printer. Also called “NLQ” or “25 pin” dot matrix.


Drop Letter

Large capital letter that covers several lines of text. “Dropped” caps are used to emphasize the beginning of a paragraph or section.

Readiris even recognizes and recreates inverted drop caps!


Fixed and Proportional Fonts

With fixed fonts, each character of the typeface has the same width. An “i” takes up as much horizontal space on a line as a “w”. Also called “monospaced” fonts. Documents produced with old typewriters have a fixed pitch.

Proportional fonts allow the characters of the typeface to have a different width. A “w” will take up more horizontal space on a line than an “i”. Virtually all fonts you find in newspapers, magazines and books are proportional.


Image Types

The color mode determines the color palette of an image. There are black-and-white images (1 bit depth), greyscale images (8 bit depth) and color images (24 bit or higher depth).

Black-and-white images exclusively contain black and white pixels. Black-and-white images are also called bilevel and lineart images. They can use black-and-white patterns to simulate shades of grey (“dithering”).

Greyscale images contain shades of grey. A range of 256 grey levels from white to black is used to compose the image.

Color images consist of pixels with different mixtures of red, green, and blue. Each mixture represents a different color. As there are 8 (or more) bits per pixel for the red, green, and blue “channel”, you get a color range of 16.7 (or more) million colors (“true” colors).


JPEG Images

JPEG images - “JPEG” stands for “Joint Photographic Experts Group” - reduce the file size by discarding extra data not essential for the display of the image. The bigger the compression, the smaller the image becomes.

Because it discards data, the JPEG algorithm is referred to as “lossy”. (TIFF Group 4 compression and PNG images are “lossless”.) Once an image has been compressed, it is no longer identical to the original image! JPEG images are automatically decompressed when they are opened.

In most cases, nobody can notice the difference between the original image and an image with minimal compression. However, image quality can degrade substantially as the compression ratio increases.

Choose an appropriate trade-off between the image quality and the amount of compression!

Tip: Readiris also supports JPEG 2000 images. JPEG 2000 is the newest and more compact version of the JPEG standard; JPEG 2000 uses “wavelets” for lossy and lossless compression.


Kerning

In printed texts, some letter pairs have more space between them than others because of their shape and slate. Pair kerning automatically reduces the space between such letter pairs to enhance their appearance. Otherwise, they would be spaced too close or too far apart to be aesthetically pleasing.

While the first “WA” and “LT” are non-kerned letter pairs, the second “WA” and “LT” are clearly kerned.


How to Process Low-Resolution Images

Operation

  • Optimal OCR requires a resolution between 300 and 400 dpi.

  • By default, Readiris issues a warning when you’re submitting images with a resolution lower than 200 dpi or higher than 800 dpi.

Tip: Readiris detects the typical fax resolutions - 100 x 200 dpi (“normal quality”), 200 x 200 dpi (“fine quality”) and 200 x 400 dpi (“superfine quality”) - and “preprocesses” these images automatically to ensure optimal OCR results.

Tip: should you have any influence over your correspondents, ask them to send faxes with the “fine” quality - those faxes have the higher resolution of 200 dpi and will yield better OCR results.

Digital Camera

Enable this option when the images were produced by a digital camera!

Process as 300 dpi

Use this option to read images generated with a digital camera - where the resolution is unknown - and to open images where the file header contains an incorrect resolution.

Thanks to this option, the images will be processed “normally”, as if they had a 300 dpi resolution. (You also avoid a warning that you’re submitting images with a resolution lower than 200 dpi or higher than 800 dpi.)


Page Analysis

Page analysis is the detection and sorting of the various zones occur on a scanned page. There are three zone types: text, graphic zones containing photos, artwork etc. and table zones.

Page decomposition is particularly useful when columnized texts and documents with a complex page layout are OCRed.

Page analysis is skew-tolerant and highly accurate - it detects irregular shapes.


Point

Typographical unit of measure that describes the font size. A point equals 1/72”. Putting things the other way around: a point corresponds to 0.014” (0.35 mm).

The height of the lowercase “x” of a typeface serves as base for the measurement.


Register Menu

Registration Wizard

Click to start the registration wizard.

Purchase Info

Gives information on how to purchase a software license from I.R.I.S.

Register

Gives access to registration info as may be needed to get a softkey from I.R.I.S.


Topological Analysis

Readiris analyzes the segmented characters as human beings unconsciously do: a number of features - strokes, loops, holes, nodes, angles etc. - are extracted and checked against a predefined or learnt source of knowledge.

Topological analysis is to a large extent independent from the character size.


Making Good Use of Adobe Acrobat PDF Files

This topic gives detailed information about the PDF format supported by Readiris and ways in which you can make good use of the PDF files.

File formats

  • The format PDF Text creates a searchable PDF file that contains the text (and possibly graphic zones for photographs, artwork etc.). The page image is not contained in the single-layered PDF file.

  • The format PDF Text-Image creates a searchable PDF file that contains the recognized text and the page image. The page image is contained in the two-layered PDF file under the text.

Tip: the pixels of the recognized text are erased to create a legible document. (Displaying recognized text in, say, black on top of black character bitmaps would give you text with a heavy shadow...)

  • The format PDF Image-Text creates a searchable PDF file that contains the page image and the recognized text. The page image is contained in the two-layered PDF file above the text.

  • The format PDF Image does not create a searchable PDF file. Such files contain only scanned images; Readiris did not execute OCR. (Tip: these image files can be converted into text afterwards!)

Note: compression is used for all elements. Black-and-white images are Group 4 compressed TIFF files, greyscale and color images are JPEG files (with (0.8) high JPEG quality). The text is compressed using the Gzip mode.

Tip: “text only” PDF files are much more compact than image files!

Tip: Readiris Corporate offers improved control over Adobe Acrobat PDF output. Influence the file size of your PDF documents by determining the color mode, image resolution, JPEG quality and the compression method - JPEG or JPEG 2000.

Tip: hyperlinks (web site URLs) show up as visible links in text-based PDF output!

Tip: Readiris allows you to create bookmarks automatically.

Tip: Readiris allows you to embed the fonts in PDF documents!

Advantages

  • “Text only” PDF files are much more compact than image files!

  • Text-based PDF files are searchable. (Bitmap images - “image only” PDF files - can be viewed but not searched.)

  • Text-based PDF files are editable. (Bitmap images can be viewed but not edited.)

Editing the recognized text

The recognized text can obviously be edited and re-used. (Bitmap images can be viewed but not edited.)

Use the TouchUp Text tool of the Acrobat software to correct small recognition errors in the PDF file.

Tip: it takes the appropriate version of Adobe Reader to correctly display the resulting PDF files! To view and print Central-European texts (such as Czech and Polish), Baltic texts, Turkish and Cyrillic (“Russian”) texts in the PDF format, you must have the special “CE” version (Central-European) of the Adobe Reader software. To view and print Hebrew PDF document, you must use the Hebrew or Middle-Eastern version of the Adobe Reader software. (You can find this software on the Readiris CD-ROM.)

Exporting text to other applications

  • You can isolate the text from a text-based PDF file. You can also convert text-only PDF files into text files. Open the file with Adobe Acrobat and use the command Save As to save it in a text file (in the Word, RTF, HTML or Text format).

  • To re-use small text portions from a PDF file in other applications, select the Select Text tool of the Adobe Acrobat software, select the required text and copy-paste it to another application. (The command Select All selects all text of the current page or of the entire document, depending on your view mode.)

Intelligent searching

Use the Search command of your Adobe Acrobat or Adobe Reader software for simple searches within a document and for advanced searching across several PDF documents.

The button Search of the Adobe Acrobat or Adobe Reader software finds complete words or word parts in the current PDF document. Acrobat looks for the word by sequentially reading every word on every page in the file.

The button Search of the Adobe Acrobat or Adobe Reader software also allows you to perform advanced and fast searching on a collection of indexed PDF documents.

  • You can search for a simple word or phrase.

  • You can expand your search query by using wildcard characters and Boolean operators.

  • You can use the search options to refine your search further.

Index-based searching implies that the “full-text” index was created for a collection of PDF files with the command Catalog. (A “full-text” index is an alphabetized list of every word used in a document or a series of documents. Index-based searching is much faster than sequential reading: Adobe Acrobat and Adobe Reader go right to the word in the list rather than progressively reading through the documents.)


User Files

The user can create font dictionaries, zoning layouts, settings files (Readiris Pro) and user lexicons (Readiris Corporate).

  • Font dictionaries (*.dus)

  • Windowing templates (*.wdw)

  • Readiris settings (*.ibt)

  • User lexicons (in Unicode format) (*.txt)

Tip: Readiris stores a log file in the subfolder “Readiris” of the Windows folder “My Documents”.